#!/usr/bin/env python

'''
    reddit.py

    fetches a random til from reddit
    ---------

    usage:
        from git_tidbit import reddit_service
        til = reddit.get_tidbit()
    returns:
        TIL that most of the dogs that have played Lassie are descended from the first dog, named Pal, to play the character.
        When the first non-blood line dog was given the role in 1997 people protested until producers found another descendent
        to replace it.
'''

import random

# harvested using commented code at bottom of file
def static_TILs():
    return ['TIL A five year old boy passed a Microsoft exam to become the youngest person to become a Microsoft Certified Professional', "TIL that a Korean TV show is about a 400 year-old Harvard-educated alien who falls in love with a human woman. 'My Love From Another Star' is a huge hit in Korea and elsewhere; Chinese fans were hospitalized for binging on too much fried chicken and beer (the woman character's favorite food).", "TIL that for the first 22 years of its history Georgia banned all lawyers from the colony. Founder James Oglethorpe denounced them as a 'pest and scourge of mankind.'", 'TIL 28 countries boycotted the 1976 Olympic Games because New Zealand was allowed to compete', 'TIL that no U.S Navy submarine is ever considered "lost" if it does not return, it is considered to be "still on patrol"', 'TIL the writer behind the Iron Giant, Ted Hughes, had written the book for his two children--to help explain to them the 1963 suicide death of their mother', "TIL a law was implemented in 1950's Greece whereby head shaving with manual clippers was used as punishment for young people caught by police, such as teddyboys and prostitutes. Obligatory hair clipping was finally abolished in Greece in 1982.", 'TIL that in order for stores in China to stock/sell tampons they have to import them, as Chinese companies made 85 billion sanitary pads last year, but not one tampon.', 'TIL Despite widespread media reporting and TIL posts, the most recent scientific evidence suggests Komodo Dragons DO NOT in fact possess or use venom, nor bacterial infection, to overcome and bring down prey. They kill through ambush attacks and laceration, resulting in trauma and heavy blood loss.', "TIL that Saddam Hussein's love of a grilled fish dish called masgouf caused the U.S. to discover Saddam Hussein's hiding place in 2003.", "TIL that at the Battle of Verdun a group of French soldiers, boxed in by German forces and without communications, was saved by a messenger dog. The dog, named Satan, managed to bring the soldiers two carrier pigeons, allowing them to send the Germans' position to French artillery.", 'TIL during WWII, Dutch railroad workers went on strike to undermine the German war effort. In response the Germans blocked food supplies to the country, resulting in a famine that killed over 20,000', 'TIL John F. Kennedy requested his head of press, Pierre Salinger, to get him 1,000 Cuban cigars. Seconds after bringing the president 1,200 cigars, Kennedy signed the Cuban trade embargo.', 'TIL From 1934-1942 Franklin D. Roosevelt had the government finance the planting of 220 million trees to combat the dust bowl.', "TIL that William Henry Jackson's photos played an important role in convincing Congress in 1872 to establish Yellowstone National Park, the first national park of the U.S. He was in a position to capture the first photographs of legendary landmarks of the West.", 'TIL that they used rescue dog as ball catchers in the 2016 Brazil Open', 'TIL: The computer that calculated flight trajectories for first American in space (and many others) was actually a black woman at NASA (at a time of intense racial/gender bias).', 'TIL that when Australia celebrated the 150th anniversary of the first European settlement in 1938, officials tried to hide the fact that it was a prison colony by using the terms "transportees" or "deportees" instead of "convicts"', 'TIL of "rural purge", a mass cancellation of rural tv shows in the 70s to please the growing urban and suburban market', 'TIL Purple is not considered a color in the visible spectrum, due to it not being a single wavelength color, much like white', 'TIL of The Great Migration, or the relocation of more than 6 million African Americans from the rural South to the cities of the North, Midwest and West from 1916 to 1970.', 'TIL it is perfectly acceptable to start a senstence with a conjunction (and, but, for, nor, or, so, yet)', "TIL Scatman John's 1994 hit came after a long jazz piano career, non-vocal due to a debilitating stutter. He later saw scatting as purposeful stuttering to be used w/ his lyrics to remove shame. He went on to hit #1 in 14 countries, 32 Platinum &amp; Golds, &amp; break world records for music sales @53 y.o.", "TIL Liam Neeson's character in A Million Ways to Die In the West has an Irish accent because Liam Neeson refused to take the role otherwise due to a Family Guy joke making fun of him as a cowboy with an Irish accent", 'TIL: Out of the top 100 biggest box office bombs, 72 are made after 2000.', 'TIL that the grippy texture on metal tools is called Knurling', 'TIL a man got a parade and a new car from Honda for reaching 1 million miles on his Accord.', 'TIL that one inch of rain falling over one square mile is equal to about 17.4 million gallons of water which would weigh 143 million pounds', 'TIL that Mexican Coke is actually brewed, with cane sugar, in mexico with the intention to be exported. However, Mexicans still consume corn syrup flavored coke, also brewed in Mexico.', "TIL that Walter Breuning survived colon cancer at age 64 and a broken hip at age 108 to live to age 114 and to become the World's Oldest Living Man.", 'TIL: In Bangladesh children aged 15 or above can be jailed for cheating in their final examinations.', 'TIL that the film Willy Wonka and the Chocolate Factory was financed by the Quaker Oats company because they wanted to launch a Wonka candy line.', "TIL that footballer Jermaine Pennant once left his Porsche at a train station in Spain after moving. When his former club contacted him about the car, he didn't even remember owning a Porsche.", 'TIL that Apple used to add the letter "x" to the names of their computers which got a processor upgrade. The convention was broken with Macintosh SE/30, which, if the rule was effective, would be called "Macintosh SEx."', 'TIL pigs can ejaculate continuously for upwards of 31 minutes', 'TIL Ostriches are the only living birds that pee and poo separately.', 'TIL Albania had a civil war in 1997 that toppled the government. The cause? Pyramid schemes', 'TIL Adderall is banned in eSports.', 'TIL that since 2003 AT&amp;T has operated a telecommunication interception facility, known as Room 641A, for the National Security Agency.', 'TIL of the Great Vowel Shift where a bunch of words in English changed pronunciation. "Bite" would have been pronounced like \'beet\' and "Meet" would have been pronounced like \'mehht\'.', 'TIL of Allston Christmas - the day thousands of Boston students move in and out of their apartments, leaving extra furniture on sidewalks for all takers.', 'TIL the longest living koi fish ever, Hanako, was 226 years old when she died.', 'TIL viruses are 10 times more successful if the infection starts in the morning', 'TIL of Chinese "Ghost Cities." Cities that are built to hold millions of people that are left practically empty.', 'TIL that Congressman Andrew Jackson May revealed highly confidential military information at a July 1943 press conference that American submarines and crew had a high survival rate because Japanese depth charges were typically fuzed to explode at too shallow a depth.', 'TIL Buildings in Japan are not numbered sequentially; instead addresses are numbered by the order in which buildings were built.', 'TIL Sperm Whales battle Giant Squid at least 4.15 times per second, with the entire global whale population devouring 131 million squid per year.', "TIL rapper Nelly missed out on a potential bone marrow donor for his dying sister who had leukemia because people protested his fundraiser due to his music video 'Tip Drill'", 'TIL that actor Jimmy Stewart was also a poet. During an appearance on The Tonight Show, he read his poem "Beau", which he wrote about his dog. By the end of the poem, Johnny Carson had started crying.', 'TIL the tallest known mountain in the solar system is on an asteroid.', 'TIL Russia used nuclear bombs for industrial, commercial, and infrastructure purposes from 1965 to 1988.', 'TIL we are paralyzed when we sleep, and that there is a dangerous condition called Rapid Eye Movement Sleep Behavior Disorder which disables that paralysis and can make you hit people or run out of windows (like Mike Birbiglia) while you are sleeping.', 'TIL the Sovereign Military Order of Malta, which holds no territory, yet issues its own passports, prints its own currency and has permanent observer status at the UN.', 'TIL patients can have their nerves "seen" by ultrasound.', 'TIL studies have shown that Stradivarius violins are no better than the best modern ones.', 'TIL that menthol cigarettes are so popular among black Americans that black groups opposed a proposed ban as a civil rights issue', 'TIL Starbucks has more money on cards then some banks have in deposits', "TIL Polygamist's Down's Syndrome is a disorder so named because of its prevalence in Fundamentalist Mormon communities", 'TIL the tongue map that shows parts of the tongue responsible for different aspects of taste is the result of a mistranslation from a German paper and is not true', 'TIL an ancient method of starting fire in SE Asia used a device called a fire piston that used rapidly compressed air to ignite a piece of tinder--the same principle used in diesel engines.', 'TIL Antibacterial soap is no better than regular soap at preventing sickness, and children who use it regularly are more likely to develop peanut allergies and hay fever.', 'TIL Daniel Day-Lewis, known for method acting, required crew members to spoon-feed him and move him around set when he played a character with cerebral palsy.', 'TIL the band "Joy Division" took their name from Nazi brothels staffed with sex slaves. The story The Doll House recounts the tale of these Nazi brothels.', 'TIL many "natural" supplements sold in the US contain unapproved and even illegal ingredients', 'TIL Lucille Ball was a Registered Communist', 'TIL the person who discovered the first dinosaur ate the mummified, hundred-year-old heart of Louis XIV', 'TIL that there exists a hybrid of a llama and a camel called a "cama". They were created to produce large amounts of wool; yet, also be strong and large. They can also survive for long periods of time on low amounts of water.', 'TIL the US Army designed a medal as a result of a typo. A radio operator thought that the word "CMA", the abbreviation for a comma, was to be a new award for Burmese guerillas who helped the Allies in WWII (which the government hastily minted to avoid embarrassment).', 'TIL in 1987, the Soviets tried to launch a prototype orbital weapons platform into space armed with a laser to destroy US satellites.', 'TIL that if the Andromeda Galaxy were brighter it would appear six times larger than the Moon.', "TIL that Roald Dahl's quirky language (e.g. Gobblefunk) came from his wife. After suffering a stroke, she lost the ability to speak and read. During her rehabilitation, would get words wrong and in some cases just make words up, which served as a great inspiration for the BFG. (around 48 mins in)", 'TIL the city of Rochester, NY used to have a one-line subway system from 1927 to 1956', "TIL that the phrase 'plastic' surgery was actually coined 70 years before the petroleum-based material was invented/named the same.", 'TIL infants can suffer a potentially fatal metabolic disorder that makes their pee smell like maple syrup. It is called Maple Syrup Urine Disease (MSUD).', "TIL the world's most powerful water pump could fill the world's biggest supertanker with water in 2 hrs 19 mins, the world's most voluminous building in 2 days 13 hrs 32 mins and it would take it 12,464 years to empty the world's most voluminous lake.", 'TIL the longest retreat in US military history occurred in 1950 during the Korean War.', 'TIL Prior to chemical tests, tasting urine of the patient was part of the diagnostic process for Diabetes Mellitus.', 'TIL certain species of aquatic turtles can breathe through their butts', 'TIL Washington is the only legal cannabis state to not allow home grows', "TIL Furries routinely sexually harass Kellogg's Frosted Flakes mascot Tony the Tiger over Twitter", 'TIL that when John Denver was divorcing his first wife he became so enraged that after choking her he cut their bed in half with a chain saw.', "TIL If you cross a zebra and any other equine they're called a Zebroid: essentially, a zebra hybrid. This includes the Donkey - Zedonk.", "TIL there is a form of 'Wifi' being developed called 'LiFi', which can transmit internet via light bulbs at high speeds", 'TIL Belgian cyclist Kevin van Impe was taken for a routine drugs test just as he was at the crematorium filling in administrative formalities following the death of his baby son', 'TIL Boeing jet sensors produce 10 terabytes of information per engine every 30 minutes of flight. So, for a 6 hours flight, a two engines aircraft gathers a massive 240 terabytes of data. By comparison the whole Facebook grows by 500+ terabytes per day.', 'TIL that Kim Jong-il was such a big fan of Godzilla that he kidnapped a Korean filmmaker and his wife to create his own giant monster. Even stranger, some of the people worked on the Toho Godzilla movies were involved with the production.', 'TIL The population of China is equivalent to the population of North America, South America, Australia, New Zealand, and all of Western Europe -- combined.', "TIL all 80 of the Red Baron's victories can be traced to specific Allied aircraft and pilots; listed are 71 British airmen KIA and one American pilot KIA.", "TIL McDonald's created broccoli that tasted like bubblegum.", "TIL that the Slovene language grammatically distinguishes not just singular and plural but also dual (when there's two of something). This applies to verb conjugations, noun cases, and even pronouns (For example distinguishing we with 2 people vs. we with &gt;3).", 'TIL the word "Probably" is a trademark of Carlsberg', 'TIL that in 1996, Iraqi Olympic weightlifter Raed Ahmed used the Olympic games to defect from Iraq', 'TIL for the 2012 London olympics 150.000 condoms were provided to the Olympic Village.', 'TIL Ghostbusters (1984) was suppose to have only 3 main ghostbusters (Dan Aykroyd, Eddie Murphy and John Belushi)', 'TIL that all US embassies and consulates have special Washington DC addresses so mail can be sent to them without going through foreign postal systems. The embassy in India\'s address is on "New Delhi Place", UK\'s is on "London Place", the consulate in Sydney is on "Sydney Place", etc.', 'TIL "Mesmerize" comes from French mesm\xc3\xa9risme, named for Franz Anton Mesmer (1734-1815), an Austrian physician who developed a theory of animal magnetism and a mysterious body fluid which allows one person to hypnotize another', 'TIL that in 2018, the amount of time that has past since the outbreak of WWII will surpass the amount of time that past between the beginning of the American Civil War and the beginning of WWII', 'TIL that Adolf Hitler\'s personal train was named "Amerika", after Hitler\'s admiration of America for its automobile manufacturing.', "TIL that the guy who created Courage the Cowardly Dog also made a cartoon about a guy who falls in love (and, it's implied, has sex) with a fish", 'TIL Mark Twain never said "A lie can travel halfway round the world while the truth is putting on its shoes."', 'TIL the modern definition of the Celsius scale results in water melting at -0.0001 \xc2\xb0C and boiling at 99.9839 \xc2\xb0C', 'TIL that the habitable area around a star, that is not too cold or too hot, is called the Goldilocks zone', 'TIL Fifty Shades of Grey started out as Twilight fan fiction, before having all references removed.', 'TIL Scientists track emperor penguin colonies using satellites to observe their poop stains on the ice', 'TIL that access to TV is likely to be one of the factors that contribute to decreased fertility rates in rural regions of some developing countries like for instance in India.', 'TIL - The hay fever Association endorsed Cocaine because it restricted blood vessels. It was advertised as a cure to asthma to heroin addiction.', "TIL Morrissey's older sister Jackie tried to kill him on four separate occasions", "TIL baby koala's eat their mother's poop to (possibly) help prepare the baby koala's stomach prepare for it's eucalyptus diet.", 'TIL: In one account given by Diogenes, Heraclitus, the Greek philosopher, is said to have been devoured by dogs after smearing himself with cow manure to cure his dropsy in 475 BC.', 'TIL Alice Franklin toured Canada in order to encourage immigration of unmarried "surplus" women from Britain to the country.', 'TIL There are bars in Brazil named after Osama Bin Laden', "TIL Snyders Pretzel's held an annual Pretzel Coaster Build-Off Contest - build a rollercoaster made out of pretzels win prizes.", 'TIL... Lakes can get married to each other like Lake of the Isles and Lake Calhoun in Minnesota', "TIL that the name Minnehaha, which has been bestowed upon many American landmarks, gained popularity from its inclusion in Longfellow's epic poem, The Song of Hiawatha.", 'TIL August Kruckow created the first dial tone for telephone in 1908 in Hildesheim, Germany. By 1961 it was universally used until modern electric telephone systems came into use, creating dial tone varieties such as the Precise Tone Plan', 'TIL the bacterial parasite Wolbachia essentially kills off the male offspring and/or causes feminization in many species of insects.', "TIL of the Blue Fugate's of eastern Kentucky that have blue skin as a result generations of inbreeding", "TIL Church's came under flak in Malaysia when one of the customers complained about the food coming from Church, referring to the brand name Church's Chicken. Upon clarification from Church's Chicken that the name Church is not related to religion, but is the name of the founder, the issue was over.", 'TIL "Mike Teevee" from Charlie and the Chocolate Factory was named "Herpes Trout" in earlier drafts.', 'TIL Bob Crane was murdered and the case left unsolved', "TIL that two of Kurt Cobain's uncles also committed suicide.", 'TIL Ernie Barnes, the artist who created J.J. Evans\' paintings on "Good Times" was drafted by the Washington Redskins in 1959. His rights were renounced when they discovered he was black.', 'TIL That the Olympics Gives Out Participation Trophies', 'TIL the oogieloves only made 445,000 dollars off of their film; the movie had a budget of 20 million.', 'TIL the Olympic medal counting by country is not officially recognized by the IOC, because the competition is between athletes, not countries. They release medal tables only for information purposes. Media organizations are free to report using any counting system they want.', 'TIL the story of Vedran Smailovi\xc4\x87 (the Cellist of Sarajevo) was actually fabricated by Canadian novelist Steven Galloway.', 'TIL that the scene in the file "A Beautiful Mind" wherein professor John Nash receives pens from his colleagues was completely made up.', 'TIL of Jacob Tullin Thams, a Norwegian who was the third athlete to compete in both Winter and Summer Olympics, and who won Gold in the Winter Olympics and Silver in the Summer Olympics', 'TIL Arfa Karim was youngest Microsoft certified partner (MCP) till 2008 and yet youngest Microsoft certified partner (MCP) from subcontinent ASIA', 'TIL that the modern American Olympic Fanfare is actually a combination of Leo Arnaud\'s "Buguler\'s Dream" and John Williams\' "Olympic Theme and Fanfare"', 'TIL almost all of the worlds currency has an anti counterfeit symbol on them called the EURion constellation', "TIL the animation company behind Sausage Party, Nitrogen Studios Canada, Inc., is also responsible for several children's productions such as Happily N'Ever After and several Thomas the Tank Engine films.", 'TIL there is an annual rabbit jumping shoe in Sweden', 'TIL that Dan Klein, the guy who named Chicago\'s NBA team "Chicago Bulls", came up with the name when he heard his son say "Dad, that\'s a bunch of bull!"', 'TIL that Dennis Wilson from the Beach Boys beat up Charles Manson after he show up at his house angry for not being in the credits of a song that was inspired by and earlier Manson\'s work called "Cease to Exist"', 'TIL the ogre-faced spider with better night vision than cats and owls', "TIL that Race Walking is an Olympic Sport. It's exactly what it sounds like.", 'TIL: There was a player named Michael Phelps that used to play in the NBA.', 'TIL - Dogs would smash humans in all track events at the Olympics', 'TIL A five year old boy passed a Microsoft exam to become the youngest person to become a Microsoft Certified Professional', "TIL that a Korean TV show is about a 400 year-old Harvard-educated alien who falls in love with a human woman. 'My Love From Another Star' is a huge hit in Korea and elsewhere; Chinese fans were hospitalized for binging on too much fried chicken and beer (the woman character's favorite food).", "TIL that for the first 22 years of its history Georgia banned all lawyers from the colony. Founder James Oglethorpe denounced them as a 'pest and scourge of mankind.'", 'TIL 28 countries boycotted the 1976 Olympic Games because New Zealand was allowed to compete', 'TIL that no U.S Navy submarine is ever considered "lost" if it does not return, it is considered to be "still on patrol"', 'TIL the writer behind the Iron Giant, Ted Hughes, had written the book for his two children--to help explain to them the 1963 suicide death of their mother', "TIL a law was implemented in 1950's Greece whereby head shaving with manual clippers was used as punishment for young people caught by police, such as teddyboys and prostitutes. Obligatory hair clipping was finally abolished in Greece in 1982.", 'TIL that in order for stores in China to stock/sell tampons they have to import them, as Chinese companies made 85 billion sanitary pads last year, but not one tampon.', 'TIL Despite widespread media reporting and TIL posts, the most recent scientific evidence suggests Komodo Dragons DO NOT in fact possess or use venom, nor bacterial infection, to overcome and bring down prey. They kill through ambush attacks and laceration, resulting in trauma and heavy blood loss.', "TIL that Saddam Hussein's love of a grilled fish dish called masgouf caused the U.S. to discover Saddam Hussein's hiding place in 2003.", "TIL that at the Battle of Verdun a group of French soldiers, boxed in by German forces and without communications, was saved by a messenger dog. The dog, named Satan, managed to bring the soldiers two carrier pigeons, allowing them to send the Germans' position to French artillery.", 'TIL during WWII, Dutch railroad workers went on strike to undermine the German war effort. In response the Germans blocked food supplies to the country, resulting in a famine that killed over 20,000', 'TIL John F. Kennedy requested his head of press, Pierre Salinger, to get him 1,000 Cuban cigars. Seconds after bringing the president 1,200 cigars, Kennedy signed the Cuban trade embargo.', 'TIL From 1934-1942 Franklin D. Roosevelt had the government finance the planting of 220 million trees to combat the dust bowl.', "TIL that William Henry Jackson's photos played an important role in convincing Congress in 1872 to establish Yellowstone National Park, the first national park of the U.S. He was in a position to capture the first photographs of legendary landmarks of the West.", 'TIL that they used rescue dog as ball catchers in the 2016 Brazil Open', 'TIL: The computer that calculated flight trajectories for first American in space (and many others) was actually a black woman at NASA (at a time of intense racial/gender bias).', 'TIL that when Australia celebrated the 150th anniversary of the first European settlement in 1938, officials tried to hide the fact that it was a prison colony by using the terms "transportees" or "deportees" instead of "convicts"', 'TIL of "rural purge", a mass cancellation of rural tv shows in the 70s to please the growing urban and suburban market', 'TIL Purple is not considered a color in the visible spectrum, due to it not being a single wavelength color, much like white', 'TIL of The Great Migration, or the relocation of more than 6 million African Americans from the rural South to the cities of the North, Midwest and West from 1916 to 1970.', 'TIL it is perfectly acceptable to start a senstence with a conjunction (and, but, for, nor, or, so, yet)', "TIL Scatman John's 1994 hit came after a long jazz piano career, non-vocal due to a debilitating stutter. He later saw scatting as purposeful stuttering to be used w/ his lyrics to remove shame. He went on to hit #1 in 14 countries, 32 Platinum &amp; Golds, &amp; break world records for music sales @53 y.o.", "TIL Liam Neeson's character in A Million Ways to Die In the West has an Irish accent because Liam Neeson refused to take the role otherwise due to a Family Guy joke making fun of him as a cowboy with an Irish accent", 'TIL: Out of the top 100 biggest box office bombs, 72 are made after 2000.', 'TIL that the grippy texture on metal tools is called Knurling', 'TIL a man got a parade and a new car from Honda for reaching 1 million miles on his Accord.', 'TIL that one inch of rain falling over one square mile is equal to about 17.4 million gallons of water which would weigh 143 million pounds', 'TIL that Mexican Coke is actually brewed, with cane sugar, in mexico with the intention to be exported. However, Mexicans still consume corn syrup flavored coke, also brewed in Mexico.', "TIL that Walter Breuning survived colon cancer at age 64 and a broken hip at age 108 to live to age 114 and to become the World's Oldest Living Man.", 'TIL: In Bangladesh children aged 15 or above can be jailed for cheating in their final examinations.', 'TIL that the film Willy Wonka and the Chocolate Factory was financed by the Quaker Oats company because they wanted to launch a Wonka candy line.', "TIL that footballer Jermaine Pennant once left his Porsche at a train station in Spain after moving. When his former club contacted him about the car, he didn't even remember owning a Porsche.", 'TIL that Apple used to add the letter "x" to the names of their computers which got a processor upgrade. The convention was broken with Macintosh SE/30, which, if the rule was effective, would be called "Macintosh SEx."', 'TIL pigs can ejaculate continuously for upwards of 31 minutes', 'TIL Ostriches are the only living birds that pee and poo separately.', 'TIL Albania had a civil war in 1997 that toppled the government. The cause? Pyramid schemes', 'TIL Adderall is banned in eSports.', 'TIL that since 2003 AT&amp;T has operated a telecommunication interception facility, known as Room 641A, for the National Security Agency.', 'TIL of the Great Vowel Shift where a bunch of words in English changed pronunciation. "Bite" would have been pronounced like \'beet\' and "Meet" would have been pronounced like \'mehht\'.', 'TIL of Allston Christmas - the day thousands of Boston students move in and out of their apartments, leaving extra furniture on sidewalks for all takers.', 'TIL the longest living koi fish ever, Hanako, was 226 years old when she died.', 'TIL viruses are 10 times more successful if the infection starts in the morning', 'TIL of Chinese "Ghost Cities." Cities that are built to hold millions of people that are left practically empty.', 'TIL that Congressman Andrew Jackson May revealed highly confidential military information at a July 1943 press conference that American submarines and crew had a high survival rate because Japanese depth charges were typically fuzed to explode at too shallow a depth.', 'TIL Buildings in Japan are not numbered sequentially; instead addresses are numbered by the order in which buildings were built.', 'TIL Sperm Whales battle Giant Squid at least 4.15 times per second, with the entire global whale population devouring 131 million squid per year.', "TIL rapper Nelly missed out on a potential bone marrow donor for his dying sister who had leukemia because people protested his fundraiser due to his music video 'Tip Drill'", 'TIL that actor Jimmy Stewart was also a poet. During an appearance on The Tonight Show, he read his poem "Beau", which he wrote about his dog. By the end of the poem, Johnny Carson had started crying.', 'TIL the tallest known mountain in the solar system is on an asteroid.', 'TIL Russia used nuclear bombs for industrial, commercial, and infrastructure purposes from 1965 to 1988.', 'TIL we are paralyzed when we sleep, and that there is a dangerous condition called Rapid Eye Movement Sleep Behavior Disorder which disables that paralysis and can make you hit people or run out of windows (like Mike Birbiglia) while you are sleeping.', 'TIL the Sovereign Military Order of Malta, which holds no territory, yet issues its own passports, prints its own currency and has permanent observer status at the UN.', 'TIL patients can have their nerves "seen" by ultrasound.', 'TIL studies have shown that Stradivarius violins are no better than the best modern ones.', 'TIL that menthol cigarettes are so popular among black Americans that black groups opposed a proposed ban as a civil rights issue', 'TIL Starbucks has more money on cards then some banks have in deposits', "TIL Polygamist's Down's Syndrome is a disorder so named because of its prevalence in Fundamentalist Mormon communities", 'TIL the tongue map that shows parts of the tongue responsible for different aspects of taste is the result of a mistranslation from a German paper and is not true', 'TIL an ancient method of starting fire in SE Asia used a device called a fire piston that used rapidly compressed air to ignite a piece of tinder--the same principle used in diesel engines.', 'TIL Antibacterial soap is no better than regular soap at preventing sickness, and children who use it regularly are more likely to develop peanut allergies and hay fever.', 'TIL Daniel Day-Lewis, known for method acting, required crew members to spoon-feed him and move him around set when he played a character with cerebral palsy.', 'TIL the band "Joy Division" took their name from Nazi brothels staffed with sex slaves. The story The Doll House recounts the tale of these Nazi brothels.', 'TIL many "natural" supplements sold in the US contain unapproved and even illegal ingredients', 'TIL Lucille Ball was a Registered Communist', 'TIL the person who discovered the first dinosaur ate the mummified, hundred-year-old heart of Louis XIV', 'TIL that there exists a hybrid of a llama and a camel called a "cama". They were created to produce large amounts of wool; yet, also be strong and large. They can also survive for long periods of time on low amounts of water.', 'TIL the US Army designed a medal as a result of a typo. A radio operator thought that the word "CMA", the abbreviation for a comma, was to be a new award for Burmese guerillas who helped the Allies in WWII (which the government hastily minted to avoid embarrassment).', 'TIL in 1987, the Soviets tried to launch a prototype orbital weapons platform into space armed with a laser to destroy US satellites.', 'TIL that if the Andromeda Galaxy were brighter it would appear six times larger than the Moon.', "TIL that Roald Dahl's quirky language (e.g. Gobblefunk) came from his wife. After suffering a stroke, she lost the ability to speak and read. During her rehabilitation, would get words wrong and in some cases just make words up, which served as a great inspiration for the BFG. (around 48 mins in)", 'TIL the city of Rochester, NY used to have a one-line subway system from 1927 to 1956', "TIL that the phrase 'plastic' surgery was actually coined 70 years before the petroleum-based material was invented/named the same.", 'TIL infants can suffer a potentially fatal metabolic disorder that makes their pee smell like maple syrup. It is called Maple Syrup Urine Disease (MSUD).', "TIL the world's most powerful water pump could fill the world's biggest supertanker with water in 2 hrs 19 mins, the world's most voluminous building in 2 days 13 hrs 32 mins and it would take it 12,464 years to empty the world's most voluminous lake.", 'TIL the longest retreat in US military history occurred in 1950 during the Korean War.', 'TIL Prior to chemical tests, tasting urine of the patient was part of the diagnostic process for Diabetes Mellitus.', 'TIL certain species of aquatic turtles can breathe through their butts', 'TIL Washington is the only legal cannabis state to not allow home grows', "TIL Furries routinely sexually harass Kellogg's Frosted Flakes mascot Tony the Tiger over Twitter", 'TIL that when John Denver was divorcing his first wife he became so enraged that after choking her he cut their bed in half with a chain saw.', "TIL If you cross a zebra and any other equine they're called a Zebroid: essentially, a zebra hybrid. This includes the Donkey - Zedonk.", "TIL there is a form of 'Wifi' being developed called 'LiFi', which can transmit internet via light bulbs at high speeds", 'TIL Belgian cyclist Kevin van Impe was taken for a routine drugs test just as he was at the crematorium filling in administrative formalities following the death of his baby son', 'TIL Boeing jet sensors produce 10 terabytes of information per engine every 30 minutes of flight. So, for a 6 hours flight, a two engines aircraft gathers a massive 240 terabytes of data. By comparison the whole Facebook grows by 500+ terabytes per day.', 'TIL that Kim Jong-il was such a big fan of Godzilla that he kidnapped a Korean filmmaker and his wife to create his own giant monster. Even stranger, some of the people worked on the Toho Godzilla movies were involved with the production.', 'TIL The population of China is equivalent to the population of North America, South America, Australia, New Zealand, and all of Western Europe -- combined.', "TIL all 80 of the Red Baron's victories can be traced to specific Allied aircraft and pilots; listed are 71 British airmen KIA and one American pilot KIA.", "TIL McDonald's created broccoli that tasted like bubblegum.", "TIL that the Slovene language grammatically distinguishes not just singular and plural but also dual (when there's two of something). This applies to verb conjugations, noun cases, and even pronouns (For example distinguishing we with 2 people vs. we with &gt;3).", 'TIL the word "Probably" is a trademark of Carlsberg', 'TIL that in 1996, Iraqi Olympic weightlifter Raed Ahmed used the Olympic games to defect from Iraq', 'TIL for the 2012 London olympics 150.000 condoms were provided to the Olympic Village.', 'TIL Ghostbusters (1984) was suppose to have only 3 main ghostbusters (Dan Aykroyd, Eddie Murphy and John Belushi)', 'TIL that all US embassies and consulates have special Washington DC addresses so mail can be sent to them without going through foreign postal systems. The embassy in India\'s address is on "New Delhi Place", UK\'s is on "London Place", the consulate in Sydney is on "Sydney Place", etc.', 'TIL "Mesmerize" comes from French mesm\xc3\xa9risme, named for Franz Anton Mesmer (1734-1815), an Austrian physician who developed a theory of animal magnetism and a mysterious body fluid which allows one person to hypnotize another', 'TIL that in 2018, the amount of time that has past since the outbreak of WWII will surpass the amount of time that past between the beginning of the American Civil War and the beginning of WWII', 'TIL that Adolf Hitler\'s personal train was named "Amerika", after Hitler\'s admiration of America for its automobile manufacturing.', "TIL that the guy who created Courage the Cowardly Dog also made a cartoon about a guy who falls in love (and, it's implied, has sex) with a fish", 'TIL Mark Twain never said "A lie can travel halfway round the world while the truth is putting on its shoes."', 'TIL A five year old boy passed a Microsoft exam to become the youngest person to become a Microsoft Certified Professional', "TIL that a Korean TV show is about a 400 year-old Harvard-educated alien who falls in love with a human woman. 'My Love From Another Star' is a huge hit in Korea and elsewhere; Chinese fans were hospitalized for binging on too much fried chicken and beer (the woman character's favorite food).", "TIL that for the first 22 years of its history Georgia banned all lawyers from the colony. Founder James Oglethorpe denounced them as a 'pest and scourge of mankind.'", 'TIL 28 countries boycotted the 1976 Olympic Games because New Zealand was allowed to compete', 'TIL that no U.S Navy submarine is ever considered "lost" if it does not return, it is considered to be "still on patrol"', 'TIL the writer behind the Iron Giant, Ted Hughes, had written the book for his two children--to help explain to them the 1963 suicide death of their mother', "TIL a law was implemented in 1950's Greece whereby head shaving with manual clippers was used as punishment for young people caught by police, such as teddyboys and prostitutes. Obligatory hair clipping was finally abolished in Greece in 1982.", 'TIL that in order for stores in China to stock/sell tampons they have to import them, as Chinese companies made 85 billion sanitary pads last year, but not one tampon.', 'TIL Despite widespread media reporting and TIL posts, the most recent scientific evidence suggests Komodo Dragons DO NOT in fact possess or use venom, nor bacterial infection, to overcome and bring down prey. They kill through ambush attacks and laceration, resulting in trauma and heavy blood loss.', "TIL that Saddam Hussein's love of a grilled fish dish called masgouf caused the U.S. to discover Saddam Hussein's hiding place in 2003.", "TIL that at the Battle of Verdun a group of French soldiers, boxed in by German forces and without communications, was saved by a messenger dog. The dog, named Satan, managed to bring the soldiers two carrier pigeons, allowing them to send the Germans' position to French artillery.", 'TIL during WWII, Dutch railroad workers went on strike to undermine the German war effort. In response the Germans blocked food supplies to the country, resulting in a famine that killed over 20,000', 'TIL John F. Kennedy requested his head of press, Pierre Salinger, to get him 1,000 Cuban cigars. Seconds after bringing the president 1,200 cigars, Kennedy signed the Cuban trade embargo.', 'TIL From 1934-1942 Franklin D. Roosevelt had the government finance the planting of 220 million trees to combat the dust bowl.', "TIL that William Henry Jackson's photos played an important role in convincing Congress in 1872 to establish Yellowstone National Park, the first national park of the U.S. He was in a position to capture the first photographs of legendary landmarks of the West.", 'TIL that they used rescue dog as ball catchers in the 2016 Brazil Open', 'TIL: The computer that calculated flight trajectories for first American in space (and many others) was actually a black woman at NASA (at a time of intense racial/gender bias).', 'TIL that when Australia celebrated the 150th anniversary of the first European settlement in 1938, officials tried to hide the fact that it was a prison colony by using the terms "transportees" or "deportees" instead of "convicts"', 'TIL of "rural purge", a mass cancellation of rural tv shows in the 70s to please the growing urban and suburban market', 'TIL Purple is not considered a color in the visible spectrum, due to it not being a single wavelength color, much like white', 'TIL of The Great Migration, or the relocation of more than 6 million African Americans from the rural South to the cities of the North, Midwest and West from 1916 to 1970.', 'TIL it is perfectly acceptable to start a senstence with a conjunction (and, but, for, nor, or, so, yet)', "TIL Scatman John's 1994 hit came after a long jazz piano career, non-vocal due to a debilitating stutter. He later saw scatting as purposeful stuttering to be used w/ his lyrics to remove shame. He went on to hit #1 in 14 countries, 32 Platinum &amp; Golds, &amp; break world records for music sales @53 y.o.", "TIL Liam Neeson's character in A Million Ways to Die In the West has an Irish accent because Liam Neeson refused to take the role otherwise due to a Family Guy joke making fun of him as a cowboy with an Irish accent", 'TIL: Out of the top 100 biggest box office bombs, 72 are made after 2000.', 'TIL that the grippy texture on metal tools is called Knurling', 'TIL a man got a parade and a new car from Honda for reaching 1 million miles on his Accord.', 'TIL that one inch of rain falling over one square mile is equal to about 17.4 million gallons of water which would weigh 143 million pounds', 'TIL that Mexican Coke is actually brewed, with cane sugar, in mexico with the intention to be exported. However, Mexicans still consume corn syrup flavored coke, also brewed in Mexico.', "TIL that Walter Breuning survived colon cancer at age 64 and a broken hip at age 108 to live to age 114 and to become the World's Oldest Living Man.", 'TIL: In Bangladesh children aged 15 or above can be jailed for cheating in their final examinations.', 'TIL that the film Willy Wonka and the Chocolate Factory was financed by the Quaker Oats company because they wanted to launch a Wonka candy line.', "TIL that footballer Jermaine Pennant once left his Porsche at a train station in Spain after moving. When his former club contacted him about the car, he didn't even remember owning a Porsche.", 'TIL that Apple used to add the letter "x" to the names of their computers which got a processor upgrade. The convention was broken with Macintosh SE/30, which, if the rule was effective, would be called "Macintosh SEx."', 'TIL pigs can ejaculate continuously for upwards of 31 minutes', 'TIL Ostriches are the only living birds that pee and poo separately.', 'TIL Albania had a civil war in 1997 that toppled the government. The cause? Pyramid schemes', 'TIL Adderall is banned in eSports.', 'TIL that since 2003 AT&amp;T has operated a telecommunication interception facility, known as Room 641A, for the National Security Agency.', 'TIL of the Great Vowel Shift where a bunch of words in English changed pronunciation. "Bite" would have been pronounced like \'beet\' and "Meet" would have been pronounced like \'mehht\'.', 'TIL of Allston Christmas - the day thousands of Boston students move in and out of their apartments, leaving extra furniture on sidewalks for all takers.', 'TIL the longest living koi fish ever, Hanako, was 226 years old when she died.', 'TIL viruses are 10 times more successful if the infection starts in the morning', 'TIL of Chinese "Ghost Cities." Cities that are built to hold millions of people that are left practically empty.', 'TIL that Congressman Andrew Jackson May revealed highly confidential military information at a July 1943 press conference that American submarines and crew had a high survival rate because Japanese depth charges were typically fuzed to explode at too shallow a depth.', 'TIL Buildings in Japan are not numbered sequentially; instead addresses are numbered by the order in which buildings were built.', 'TIL Sperm Whales battle Giant Squid at least 4.15 times per second, with the entire global whale population devouring 131 million squid per year.', "TIL rapper Nelly missed out on a potential bone marrow donor for his dying sister who had leukemia because people protested his fundraiser due to his music video 'Tip Drill'", 'TIL that actor Jimmy Stewart was also a poet. During an appearance on The Tonight Show, he read his poem "Beau", which he wrote about his dog. By the end of the poem, Johnny Carson had started crying.', 'TIL the tallest known mountain in the solar system is on an asteroid.', 'TIL Russia used nuclear bombs for industrial, commercial, and infrastructure purposes from 1965 to 1988.', 'TIL we are paralyzed when we sleep, and that there is a dangerous condition called Rapid Eye Movement Sleep Behavior Disorder which disables that paralysis and can make you hit people or run out of windows (like Mike Birbiglia) while you are sleeping.', 'TIL the Sovereign Military Order of Malta, which holds no territory, yet issues its own passports, prints its own currency and has permanent observer status at the UN.', 'TIL patients can have their nerves "seen" by ultrasound.', 'TIL studies have shown that Stradivarius violins are no better than the best modern ones.', 'TIL that menthol cigarettes are so popular among black Americans that black groups opposed a proposed ban as a civil rights issue', 'TIL Starbucks has more money on cards then some banks have in deposits', "TIL Polygamist's Down's Syndrome is a disorder so named because of its prevalence in Fundamentalist Mormon communities", 'TIL the tongue map that shows parts of the tongue responsible for different aspects of taste is the result of a mistranslation from a German paper and is not true', 'TIL an ancient method of starting fire in SE Asia used a device called a fire piston that used rapidly compressed air to ignite a piece of tinder--the same principle used in diesel engines.', 'TIL Antibacterial soap is no better than regular soap at preventing sickness, and children who use it regularly are more likely to develop peanut allergies and hay fever.', 'TIL Daniel Day-Lewis, known for method acting, required crew members to spoon-feed him and move him around set when he played a character with cerebral palsy.', 'TIL the band "Joy Division" took their name from Nazi brothels staffed with sex slaves. The story The Doll House recounts the tale of these Nazi brothels.', 'TIL many "natural" supplements sold in the US contain unapproved and even illegal ingredients', 'TIL Lucille Ball was a Registered Communist', 'TIL the person who discovered the first dinosaur ate the mummified, hundred-year-old heart of Louis XIV', 'TIL that there exists a hybrid of a llama and a camel called a "cama". They were created to produce large amounts of wool; yet, also be strong and large. They can also survive for long periods of time on low amounts of water.', 'TIL the US Army designed a medal as a result of a typo. A radio operator thought that the word "CMA", the abbreviation for a comma, was to be a new award for Burmese guerillas who helped the Allies in WWII (which the government hastily minted to avoid embarrassment).', 'TIL in 1987, the Soviets tried to launch a prototype orbital weapons platform into space armed with a laser to destroy US satellites.', 'TIL that if the Andromeda Galaxy were brighter it would appear six times larger than the Moon.', "TIL that Roald Dahl's quirky language (e.g. Gobblefunk) came from his wife. After suffering a stroke, she lost the ability to speak and read. During her rehabilitation, would get words wrong and in some cases just make words up, which served as a great inspiration for the BFG. (around 48 mins in)", 'TIL the city of Rochester, NY used to have a one-line subway system from 1927 to 1956', "TIL that the phrase 'plastic' surgery was actually coined 70 years before the petroleum-based material was invented/named the same.", 'TIL infants can suffer a potentially fatal metabolic disorder that makes their pee smell like maple syrup. It is called Maple Syrup Urine Disease (MSUD).', "TIL the world's most powerful water pump could fill the world's biggest supertanker with water in 2 hrs 19 mins, the world's most voluminous building in 2 days 13 hrs 32 mins and it would take it 12,464 years to empty the world's most voluminous lake.", 'TIL the longest retreat in US military history occurred in 1950 during the Korean War.', 'TIL Prior to chemical tests, tasting urine of the patient was part of the diagnostic process for Diabetes Mellitus.', 'TIL certain species of aquatic turtles can breathe through their butts', 'TIL Washington is the only legal cannabis state to not allow home grows', "TIL Furries routinely sexually harass Kellogg's Frosted Flakes mascot Tony the Tiger over Twitter", 'TIL that when John Denver was divorcing his first wife he became so enraged that after choking her he cut their bed in half with a chain saw.', "TIL If you cross a zebra and any other equine they're called a Zebroid: essentially, a zebra hybrid. This includes the Donkey - Zedonk.", "TIL there is a form of 'Wifi' being developed called 'LiFi', which can transmit internet via light bulbs at high speeds", 'TIL Belgian cyclist Kevin van Impe was taken for a routine drugs test just as he was at the crematorium filling in administrative formalities following the death of his baby son', 'TIL Boeing jet sensors produce 10 terabytes of information per engine every 30 minutes of flight. So, for a 6 hours flight, a two engines aircraft gathers a massive 240 terabytes of data. By comparison the whole Facebook grows by 500+ terabytes per day.', 'TIL that Kim Jong-il was such a big fan of Godzilla that he kidnapped a Korean filmmaker and his wife to create his own giant monster. Even stranger, some of the people worked on the Toho Godzilla movies were involved with the production.', 'TIL The population of China is equivalent to the population of North America, South America, Australia, New Zealand, and all of Western Europe -- combined.', "TIL all 80 of the Red Baron's victories can be traced to specific Allied aircraft and pilots; listed are 71 British airmen KIA and one American pilot KIA.", "TIL McDonald's created broccoli that tasted like bubblegum.", "TIL that the Slovene language grammatically distinguishes not just singular and plural but also dual (when there's two of something). This applies to verb conjugations, noun cases, and even pronouns (For example distinguishing we with 2 people vs. we with &gt;3).", 'TIL the word "Probably" is a trademark of Carlsberg', 'TIL that in 1996, Iraqi Olympic weightlifter Raed Ahmed used the Olympic games to defect from Iraq', 'TIL for the 2012 London olympics 150.000 condoms were provided to the Olympic Village.', 'TIL Ghostbusters (1984) was suppose to have only 3 main ghostbusters (Dan Aykroyd, Eddie Murphy and John Belushi)', 'TIL that all US embassies and consulates have special Washington DC addresses so mail can be sent to them without going through foreign postal systems. The embassy in India\'s address is on "New Delhi Place", UK\'s is on "London Place", the consulate in Sydney is on "Sydney Place", etc.', 'TIL "Mesmerize" comes from French mesm\xc3\xa9risme, named for Franz Anton Mesmer (1734-1815), an Austrian physician who developed a theory of animal magnetism and a mysterious body fluid which allows one person to hypnotize another', 'TIL that in 2018, the amount of time that has past since the outbreak of WWII will surpass the amount of time that past between the beginning of the American Civil War and the beginning of WWII', 'TIL that Adolf Hitler\'s personal train was named "Amerika", after Hitler\'s admiration of America for its automobile manufacturing.', "TIL that the guy who created Courage the Cowardly Dog also made a cartoon about a guy who falls in love (and, it's implied, has sex) with a fish", 'TIL Mark Twain never said "A lie can travel halfway round the world while the truth is putting on its shoes."', 'TIL A five year old boy passed a Microsoft exam to become the youngest person to become a Microsoft Certified Professional', "TIL that a Korean TV show is about a 400 year-old Harvard-educated alien who falls in love with a human woman. 'My Love From Another Star' is a huge hit in Korea and elsewhere; Chinese fans were hospitalized for binging on too much fried chicken and beer (the woman character's favorite food).", "TIL that for the first 22 years of its history Georgia banned all lawyers from the colony. Founder James Oglethorpe denounced them as a 'pest and scourge of mankind.'", 'TIL 28 countries boycotted the 1976 Olympic Games because New Zealand was allowed to compete', 'TIL that no U.S Navy submarine is ever considered "lost" if it does not return, it is considered to be "still on patrol"', 'TIL the writer behind the Iron Giant, Ted Hughes, had written the book for his two children--to help explain to them the 1963 suicide death of their mother', "TIL a law was implemented in 1950's Greece whereby head shaving with manual clippers was used as punishment for young people caught by police, such as teddyboys and prostitutes. Obligatory hair clipping was finally abolished in Greece in 1982.", 'TIL that in order for stores in China to stock/sell tampons they have to import them, as Chinese companies made 85 billion sanitary pads last year, but not one tampon.', 'TIL Despite widespread media reporting and TIL posts, the most recent scientific evidence suggests Komodo Dragons DO NOT in fact possess or use venom, nor bacterial infection, to overcome and bring down prey. They kill through ambush attacks and laceration, resulting in trauma and heavy blood loss.', "TIL that Saddam Hussein's love of a grilled fish dish called masgouf caused the U.S. to discover Saddam Hussein's hiding place in 2003.", "TIL that at the Battle of Verdun a group of French soldiers, boxed in by German forces and without communications, was saved by a messenger dog. The dog, named Satan, managed to bring the soldiers two carrier pigeons, allowing them to send the Germans' position to French artillery.", 'TIL during WWII, Dutch railroad workers went on strike to undermine the German war effort. In response the Germans blocked food supplies to the country, resulting in a famine that killed over 20,000', 'TIL John F. Kennedy requested his head of press, Pierre Salinger, to get him 1,000 Cuban cigars. Seconds after bringing the president 1,200 cigars, Kennedy signed the Cuban trade embargo.', 'TIL From 1934-1942 Franklin D. Roosevelt had the government finance the planting of 220 million trees to combat the dust bowl.', "TIL that William Henry Jackson's photos played an important role in convincing Congress in 1872 to establish Yellowstone National Park, the first national park of the U.S. He was in a position to capture the first photographs of legendary landmarks of the West.", 'TIL that they used rescue dog as ball catchers in the 2016 Brazil Open', 'TIL: The computer that calculated flight trajectories for first American in space (and many others) was actually a black woman at NASA (at a time of intense racial/gender bias).', 'TIL that when Australia celebrated the 150th anniversary of the first European settlement in 1938, officials tried to hide the fact that it was a prison colony by using the terms "transportees" or "deportees" instead of "convicts"', 'TIL of "rural purge", a mass cancellation of rural tv shows in the 70s to please the growing urban and suburban market', 'TIL Purple is not considered a color in the visible spectrum, due to it not being a single wavelength color, much like white', 'TIL of The Great Migration, or the relocation of more than 6 million African Americans from the rural South to the cities of the North, Midwest and West from 1916 to 1970.', 'TIL it is perfectly acceptable to start a senstence with a conjunction (and, but, for, nor, or, so, yet)', "TIL Scatman John's 1994 hit came after a long jazz piano career, non-vocal due to a debilitating stutter. He later saw scatting as purposeful stuttering to be used w/ his lyrics to remove shame. He went on to hit #1 in 14 countries, 32 Platinum &amp; Golds, &amp; break world records for music sales @53 y.o.", "TIL Liam Neeson's character in A Million Ways to Die In the West has an Irish accent because Liam Neeson refused to take the role otherwise due to a Family Guy joke making fun of him as a cowboy with an Irish accent", 'TIL: Out of the top 100 biggest box office bombs, 72 are made after 2000.', 'TIL that the grippy texture on metal tools is called Knurling', 'TIL a man got a parade and a new car from Honda for reaching 1 million miles on his Accord.', 'TIL that one inch of rain falling over one square mile is equal to about 17.4 million gallons of water which would weigh 143 million pounds', 'TIL that Mexican Coke is actually brewed, with cane sugar, in mexico with the intention to be exported. However, Mexicans still consume corn syrup flavored coke, also brewed in Mexico.', "TIL that Walter Breuning survived colon cancer at age 64 and a broken hip at age 108 to live to age 114 and to become the World's Oldest Living Man.", 'TIL: In Bangladesh children aged 15 or above can be jailed for cheating in their final examinations.', 'TIL that the film Willy Wonka and the Chocolate Factory was financed by the Quaker Oats company because they wanted to launch a Wonka candy line.', "TIL that footballer Jermaine Pennant once left his Porsche at a train station in Spain after moving. When his former club contacted him about the car, he didn't even remember owning a Porsche.", 'TIL that Apple used to add the letter "x" to the names of their computers which got a processor upgrade. The convention was broken with Macintosh SE/30, which, if the rule was effective, would be called "Macintosh SEx."', 'TIL pigs can ejaculate continuously for upwards of 31 minutes', 'TIL Ostriches are the only living birds that pee and poo separately.', 'TIL Albania had a civil war in 1997 that toppled the government. The cause? Pyramid schemes', 'TIL Adderall is banned in eSports.', 'TIL that since 2003 AT&amp;T has operated a telecommunication interception facility, known as Room 641A, for the National Security Agency.', 'TIL of the Great Vowel Shift where a bunch of words in English changed pronunciation. "Bite" would have been pronounced like \'beet\' and "Meet" would have been pronounced like \'mehht\'.', 'TIL of Allston Christmas - the day thousands of Boston students move in and out of their apartments, leaving extra furniture on sidewalks for all takers.', 'TIL the longest living koi fish ever, Hanako, was 226 years old when she died.', 'TIL viruses are 10 times more successful if the infection starts in the morning', 'TIL of Chinese "Ghost Cities." Cities that are built to hold millions of people that are left practically empty.', 'TIL that Congressman Andrew Jackson May revealed highly confidential military information at a July 1943 press conference that American submarines and crew had a high survival rate because Japanese depth charges were typically fuzed to explode at too shallow a depth.', 'TIL Buildings in Japan are not numbered sequentially; instead addresses are numbered by the order in which buildings were built.', 'TIL Sperm Whales battle Giant Squid at least 4.15 times per second, with the entire global whale population devouring 131 million squid per year.', "TIL rapper Nelly missed out on a potential bone marrow donor for his dying sister who had leukemia because people protested his fundraiser due to his music video 'Tip Drill'", 'TIL that actor Jimmy Stewart was also a poet. During an appearance on The Tonight Show, he read his poem "Beau", which he wrote about his dog. By the end of the poem, Johnny Carson had started crying.', 'TIL the tallest known mountain in the solar system is on an asteroid.', 'TIL Russia used nuclear bombs for industrial, commercial, and infrastructure purposes from 1965 to 1988.', 'TIL we are paralyzed when we sleep, and that there is a dangerous condition called Rapid Eye Movement Sleep Behavior Disorder which disables that paralysis and can make you hit people or run out of windows (like Mike Birbiglia) while you are sleeping.', 'TIL the Sovereign Military Order of Malta, which holds no territory, yet issues its own passports, prints its own currency and has permanent observer status at the UN.', 'TIL patients can have their nerves "seen" by ultrasound.', 'TIL studies have shown that Stradivarius violins are no better than the best modern ones.', 'TIL that menthol cigarettes are so popular among black Americans that black groups opposed a proposed ban as a civil rights issue', 'TIL Starbucks has more money on cards then some banks have in deposits', "TIL Polygamist's Down's Syndrome is a disorder so named because of its prevalence in Fundamentalist Mormon communities", 'TIL the tongue map that shows parts of the tongue responsible for different aspects of taste is the result of a mistranslation from a German paper and is not true', 'TIL an ancient method of starting fire in SE Asia used a device called a fire piston that used rapidly compressed air to ignite a piece of tinder--the same principle used in diesel engines.', 'TIL Antibacterial soap is no better than regular soap at preventing sickness, and children who use it regularly are more likely to develop peanut allergies and hay fever.', 'TIL Daniel Day-Lewis, known for method acting, required crew members to spoon-feed him and move him around set when he played a character with cerebral palsy.', 'TIL the band "Joy Division" took their name from Nazi brothels staffed with sex slaves. The story The Doll House recounts the tale of these Nazi brothels.', 'TIL many "natural" supplements sold in the US contain unapproved and even illegal ingredients', 'TIL Lucille Ball was a Registered Communist', 'TIL the person who discovered the first dinosaur ate the mummified, hundred-year-old heart of Louis XIV', 'TIL that there exists a hybrid of a llama and a camel called a "cama". They were created to produce large amounts of wool; yet, also be strong and large. They can also survive for long periods of time on low amounts of water.', 'TIL the US Army designed a medal as a result of a typo. A radio operator thought that the word "CMA", the abbreviation for a comma, was to be a new award for Burmese guerillas who helped the Allies in WWII (which the government hastily minted to avoid embarrassment).', 'TIL in 1987, the Soviets tried to launch a prototype orbital weapons platform into space armed with a laser to destroy US satellites.', 'TIL that if the Andromeda Galaxy were brighter it would appear six times larger than the Moon.', "TIL that Roald Dahl's quirky language (e.g. Gobblefunk) came from his wife. After suffering a stroke, she lost the ability to speak and read. During her rehabilitation, would get words wrong and in some cases just make words up, which served as a great inspiration for the BFG. (around 48 mins in)", 'TIL the city of Rochester, NY used to have a one-line subway system from 1927 to 1956', "TIL that the phrase 'plastic' surgery was actually coined 70 years before the petroleum-based material was invented/named the same.", 'TIL infants can suffer a potentially fatal metabolic disorder that makes their pee smell like maple syrup. It is called Maple Syrup Urine Disease (MSUD).', "TIL the world's most powerful water pump could fill the world's biggest supertanker with water in 2 hrs 19 mins, the world's most voluminous building in 2 days 13 hrs 32 mins and it would take it 12,464 years to empty the world's most voluminous lake.", 'TIL the longest retreat in US military history occurred in 1950 during the Korean War.', 'TIL Prior to chemical tests, tasting urine of the patient was part of the diagnostic process for Diabetes Mellitus.', 'TIL certain species of aquatic turtles can breathe through their butts', 'TIL Washington is the only legal cannabis state to not allow home grows', "TIL Furries routinely sexually harass Kellogg's Frosted Flakes mascot Tony the Tiger over Twitter", 'TIL that when John Denver was divorcing his first wife he became so enraged that after choking her he cut their bed in half with a chain saw.', "TIL If you cross a zebra and any other equine they're called a Zebroid: essentially, a zebra hybrid. This includes the Donkey - Zedonk.", "TIL there is a form of 'Wifi' being developed called 'LiFi', which can transmit internet via light bulbs at high speeds", 'TIL Belgian cyclist Kevin van Impe was taken for a routine drugs test just as he was at the crematorium filling in administrative formalities following the death of his baby son', 'TIL Boeing jet sensors produce 10 terabytes of information per engine every 30 minutes of flight. So, for a 6 hours flight, a two engines aircraft gathers a massive 240 terabytes of data. By comparison the whole Facebook grows by 500+ terabytes per day.', 'TIL that Kim Jong-il was such a big fan of Godzilla that he kidnapped a Korean filmmaker and his wife to create his own giant monster. Even stranger, some of the people worked on the Toho Godzilla movies were involved with the production.', 'TIL The population of China is equivalent to the population of North America, South America, Australia, New Zealand, and all of Western Europe -- combined.', "TIL all 80 of the Red Baron's victories can be traced to specific Allied aircraft and pilots; listed are 71 British airmen KIA and one American pilot KIA.", "TIL McDonald's created broccoli that tasted like bubblegum.", "TIL that the Slovene language grammatically distinguishes not just singular and plural but also dual (when there's two of something). This applies to verb conjugations, noun cases, and even pronouns (For example distinguishing we with 2 people vs. we with &gt;3).", 'TIL the word "Probably" is a trademark of Carlsberg', 'TIL that in 1996, Iraqi Olympic weightlifter Raed Ahmed used the Olympic games to defect from Iraq', 'TIL for the 2012 London olympics 150.000 condoms were provided to the Olympic Village.', 'TIL Ghostbusters (1984) was suppose to have only 3 main ghostbusters (Dan Aykroyd, Eddie Murphy and John Belushi)', 'TIL that all US embassies and consulates have special Washington DC addresses so mail can be sent to them without going through foreign postal systems. The embassy in India\'s address is on "New Delhi Place", UK\'s is on "London Place", the consulate in Sydney is on "Sydney Place", etc.', 'TIL "Mesmerize" comes from French mesm\xc3\xa9risme, named for Franz Anton Mesmer (1734-1815), an Austrian physician who developed a theory of animal magnetism and a mysterious body fluid which allows one person to hypnotize another', 'TIL that in 2018, the amount of time that has past since the outbreak of WWII will surpass the amount of time that past between the beginning of the American Civil War and the beginning of WWII', 'TIL that Adolf Hitler\'s personal train was named "Amerika", after Hitler\'s admiration of America for its automobile manufacturing.', "TIL that the guy who created Courage the Cowardly Dog also made a cartoon about a guy who falls in love (and, it's implied, has sex) with a fish", 'TIL Mark Twain never said "A lie can travel halfway round the world while the truth is putting on its shoes."', 'TIL A five year old boy passed a Microsoft exam to become the youngest person to become a Microsoft Certified Professional', "TIL that a Korean TV show is about a 400 year-old Harvard-educated alien who falls in love with a human woman. 'My Love From Another Star' is a huge hit in Korea and elsewhere; Chinese fans were hospitalized for binging on too much fried chicken and beer (the woman character's favorite food).", "TIL that for the first 22 years of its history Georgia banned all lawyers from the colony. Founder James Oglethorpe denounced them as a 'pest and scourge of mankind.'", 'TIL 28 countries boycotted the 1976 Olympic Games because New Zealand was allowed to compete', 'TIL that no U.S Navy submarine is ever considered "lost" if it does not return, it is considered to be "still on patrol"', 'TIL the writer behind the Iron Giant, Ted Hughes, had written the book for his two children--to help explain to them the 1963 suicide death of their mother', "TIL a law was implemented in 1950's Greece whereby head shaving with manual clippers was used as punishment for young people caught by police, such as teddyboys and prostitutes. Obligatory hair clipping was finally abolished in Greece in 1982.", 'TIL that in order for stores in China to stock/sell tampons they have to import them, as Chinese companies made 85 billion sanitary pads last year, but not one tampon.', 'TIL Despite widespread media reporting and TIL posts, the most recent scientific evidence suggests Komodo Dragons DO NOT in fact possess or use venom, nor bacterial infection, to overcome and bring down prey. They kill through ambush attacks and laceration, resulting in trauma and heavy blood loss.', "TIL that Saddam Hussein's love of a grilled fish dish called masgouf caused the U.S. to discover Saddam Hussein's hiding place in 2003.", "TIL that at the Battle of Verdun a group of French soldiers, boxed in by German forces and without communications, was saved by a messenger dog. The dog, named Satan, managed to bring the soldiers two carrier pigeons, allowing them to send the Germans' position to French artillery.", 'TIL during WWII, Dutch railroad workers went on strike to undermine the German war effort. In response the Germans blocked food supplies to the country, resulting in a famine that killed over 20,000', 'TIL John F. Kennedy requested his head of press, Pierre Salinger, to get him 1,000 Cuban cigars. Seconds after bringing the president 1,200 cigars, Kennedy signed the Cuban trade embargo.', 'TIL From 1934-1942 Franklin D. Roosevelt had the government finance the planting of 220 million trees to combat the dust bowl.', "TIL that William Henry Jackson's photos played an important role in convincing Congress in 1872 to establish Yellowstone National Park, the first national park of the U.S. He was in a position to capture the first photographs of legendary landmarks of the West.", 'TIL that they used rescue dog as ball catchers in the 2016 Brazil Open', 'TIL: The computer that calculated flight trajectories for first American in space (and many others) was actually a black woman at NASA (at a time of intense racial/gender bias).', 'TIL that when Australia celebrated the 150th anniversary of the first European settlement in 1938, officials tried to hide the fact that it was a prison colony by using the terms "transportees" or "deportees" instead of "convicts"', 'TIL of "rural purge", a mass cancellation of rural tv shows in the 70s to please the growing urban and suburban market', 'TIL Purple is not considered a color in the visible spectrum, due to it not being a single wavelength color, much like white', 'TIL of The Great Migration, or the relocation of more than 6 million African Americans from the rural South to the cities of the North, Midwest and West from 1916 to 1970.', 'TIL it is perfectly acceptable to start a senstence with a conjunction (and, but, for, nor, or, so, yet)', "TIL Scatman John's 1994 hit came after a long jazz piano career, non-vocal due to a debilitating stutter. He later saw scatting as purposeful stuttering to be used w/ his lyrics to remove shame. He went on to hit #1 in 14 countries, 32 Platinum &amp; Golds, &amp; break world records for music sales @53 y.o.", "TIL Liam Neeson's character in A Million Ways to Die In the West has an Irish accent because Liam Neeson refused to take the role otherwise due to a Family Guy joke making fun of him as a cowboy with an Irish accent", 'TIL: Out of the top 100 biggest box office bombs, 72 are made after 2000.', 'TIL that the grippy texture on metal tools is called Knurling', 'TIL a man got a parade and a new car from Honda for reaching 1 million miles on his Accord.', 'TIL that one inch of rain falling over one square mile is equal to about 17.4 million gallons of water which would weigh 143 million pounds', 'TIL that Mexican Coke is actually brewed, with cane sugar, in mexico with the intention to be exported. However, Mexicans still consume corn syrup flavored coke, also brewed in Mexico.', "TIL that Walter Breuning survived colon cancer at age 64 and a broken hip at age 108 to live to age 114 and to become the World's Oldest Living Man.", 'TIL: In Bangladesh children aged 15 or above can be jailed for cheating in their final examinations.', 'TIL that the film Willy Wonka and the Chocolate Factory was financed by the Quaker Oats company because they wanted to launch a Wonka candy line.', "TIL that footballer Jermaine Pennant once left his Porsche at a train station in Spain after moving. When his former club contacted him about the car, he didn't even remember owning a Porsche.", 'TIL that Apple used to add the letter "x" to the names of their computers which got a processor upgrade. The convention was broken with Macintosh SE/30, which, if the rule was effective, would be called "Macintosh SEx."', 'TIL pigs can ejaculate continuously for upwards of 31 minutes', 'TIL Ostriches are the only living birds that pee and poo separately.', 'TIL Albania had a civil war in 1997 that toppled the government. The cause? Pyramid schemes', 'TIL Adderall is banned in eSports.', 'TIL that since 2003 AT&amp;T has operated a telecommunication interception facility, known as Room 641A, for the National Security Agency.', 'TIL of the Great Vowel Shift where a bunch of words in English changed pronunciation. "Bite" would have been pronounced like \'beet\' and "Meet" would have been pronounced like \'mehht\'.', 'TIL of Allston Christmas - the day thousands of Boston students move in and out of their apartments, leaving extra furniture on sidewalks for all takers.', 'TIL the longest living koi fish ever, Hanako, was 226 years old when she died.', 'TIL viruses are 10 times more successful if the infection starts in the morning', 'TIL of Chinese "Ghost Cities." Cities that are built to hold millions of people that are left practically empty.', 'TIL that Congressman Andrew Jackson May revealed highly confidential military information at a July 1943 press conference that American submarines and crew had a high survival rate because Japanese depth charges were typically fuzed to explode at too shallow a depth.', 'TIL Buildings in Japan are not numbered sequentially; instead addresses are numbered by the order in which buildings were built.', 'TIL Sperm Whales battle Giant Squid at least 4.15 times per second, with the entire global whale population devouring 131 million squid per year.', "TIL rapper Nelly missed out on a potential bone marrow donor for his dying sister who had leukemia because people protested his fundraiser due to his music video 'Tip Drill'", 'TIL that actor Jimmy Stewart was also a poet. During an appearance on The Tonight Show, he read his poem "Beau", which he wrote about his dog. By the end of the poem, Johnny Carson had started crying.', 'TIL the tallest known mountain in the solar system is on an asteroid.', 'TIL Russia used nuclear bombs for industrial, commercial, and infrastructure purposes from 1965 to 1988.', 'TIL we are paralyzed when we sleep, and that there is a dangerous condition called Rapid Eye Movement Sleep Behavior Disorder which disables that paralysis and can make you hit people or run out of windows (like Mike Birbiglia) while you are sleeping.', 'TIL the Sovereign Military Order of Malta, which holds no territory, yet issues its own passports, prints its own currency and has permanent observer status at the UN.', 'TIL patients can have their nerves "seen" by ultrasound.', 'TIL studies have shown that Stradivarius violins are no better than the best modern ones.', 'TIL that menthol cigarettes are so popular among black Americans that black groups opposed a proposed ban as a civil rights issue', 'TIL Starbucks has more money on cards then some banks have in deposits', "TIL Polygamist's Down's Syndrome is a disorder so named because of its prevalence in Fundamentalist Mormon communities", 'TIL the tongue map that shows parts of the tongue responsible for different aspects of taste is the result of a mistranslation from a German paper and is not true', 'TIL an ancient method of starting fire in SE Asia used a device called a fire piston that used rapidly compressed air to ignite a piece of tinder--the same principle used in diesel engines.', 'TIL Antibacterial soap is no better than regular soap at preventing sickness, and children who use it regularly are more likely to develop peanut allergies and hay fever.', 'TIL Daniel Day-Lewis, known for method acting, required crew members to spoon-feed him and move him around set when he played a character with cerebral palsy.', 'TIL the band "Joy Division" took their name from Nazi brothels staffed with sex slaves. The story The Doll House recounts the tale of these Nazi brothels.', 'TIL many "natural" supplements sold in the US contain unapproved and even illegal ingredients', 'TIL Lucille Ball was a Registered Communist', 'TIL the person who discovered the first dinosaur ate the mummified, hundred-year-old heart of Louis XIV', 'TIL that there exists a hybrid of a llama and a camel called a "cama". They were created to produce large amounts of wool; yet, also be strong and large. They can also survive for long periods of time on low amounts of water.', 'TIL the US Army designed a medal as a result of a typo. A radio operator thought that the word "CMA", the abbreviation for a comma, was to be a new award for Burmese guerillas who helped the Allies in WWII (which the government hastily minted to avoid embarrassment).', 'TIL in 1987, the Soviets tried to launch a prototype orbital weapons platform into space armed with a laser to destroy US satellites.', 'TIL that if the Andromeda Galaxy were brighter it would appear six times larger than the Moon.', "TIL that Roald Dahl's quirky language (e.g. Gobblefunk) came from his wife. After suffering a stroke, she lost the ability to speak and read. During her rehabilitation, would get words wrong and in some cases just make words up, which served as a great inspiration for the BFG. (around 48 mins in)", 'TIL the city of Rochester, NY used to have a one-line subway system from 1927 to 1956', "TIL that the phrase 'plastic' surgery was actually coined 70 years before the petroleum-based material was invented/named the same.", 'TIL infants can suffer a potentially fatal metabolic disorder that makes their pee smell like maple syrup. It is called Maple Syrup Urine Disease (MSUD).', "TIL the world's most powerful water pump could fill the world's biggest supertanker with water in 2 hrs 19 mins, the world's most voluminous building in 2 days 13 hrs 32 mins and it would take it 12,464 years to empty the world's most voluminous lake.", 'TIL the longest retreat in US military history occurred in 1950 during the Korean War.', 'TIL Prior to chemical tests, tasting urine of the patient was part of the diagnostic process for Diabetes Mellitus.', 'TIL certain species of aquatic turtles can breathe through their butts', 'TIL Washington is the only legal cannabis state to not allow home grows', "TIL Furries routinely sexually harass Kellogg's Frosted Flakes mascot Tony the Tiger over Twitter", 'TIL that when John Denver was divorcing his first wife he became so enraged that after choking her he cut their bed in half with a chain saw.', "TIL If you cross a zebra and any other equine they're called a Zebroid: essentially, a zebra hybrid. This includes the Donkey - Zedonk.", "TIL there is a form of 'Wifi' being developed called 'LiFi', which can transmit internet via light bulbs at high speeds", 'TIL Belgian cyclist Kevin van Impe was taken for a routine drugs test just as he was at the crematorium filling in administrative formalities following the death of his baby son', 'TIL Boeing jet sensors produce 10 terabytes of information per engine every 30 minutes of flight. So, for a 6 hours flight, a two engines aircraft gathers a massive 240 terabytes of data. By comparison the whole Facebook grows by 500+ terabytes per day.', 'TIL that Kim Jong-il was such a big fan of Godzilla that he kidnapped a Korean filmmaker and his wife to create his own giant monster. Even stranger, some of the people worked on the Toho Godzilla movies were involved with the production.', 'TIL The population of China is equivalent to the population of North America, South America, Australia, New Zealand, and all of Western Europe -- combined.', "TIL all 80 of the Red Baron's victories can be traced to specific Allied aircraft and pilots; listed are 71 British airmen KIA and one American pilot KIA.", "TIL McDonald's created broccoli that tasted like bubblegum.", "TIL that the Slovene language grammatically distinguishes not just singular and plural but also dual (when there's two of something). This applies to verb conjugations, noun cases, and even pronouns (For example distinguishing we with 2 people vs. we with &gt;3).", 'TIL the word "Probably" is a trademark of Carlsberg', 'TIL that in 1996, Iraqi Olympic weightlifter Raed Ahmed used the Olympic games to defect from Iraq', 'TIL for the 2012 London olympics 150.000 condoms were provided to the Olympic Village.', 'TIL Ghostbusters (1984) was suppose to have only 3 main ghostbusters (Dan Aykroyd, Eddie Murphy and John Belushi)', 'TIL that all US embassies and consulates have special Washington DC addresses so mail can be sent to them without going through foreign postal systems. The embassy in India\'s address is on "New Delhi Place", UK\'s is on "London Place", the consulate in Sydney is on "Sydney Place", etc.', 'TIL "Mesmerize" comes from French mesm\xc3\xa9risme, named for Franz Anton Mesmer (1734-1815), an Austrian physician who developed a theory of animal magnetism and a mysterious body fluid which allows one person to hypnotize another', 'TIL that in 2018, the amount of time that has past since the outbreak of WWII will surpass the amount of time that past between the beginning of the American Civil War and the beginning of WWII', 'TIL that Adolf Hitler\'s personal train was named "Amerika", after Hitler\'s admiration of America for its automobile manufacturing.', "TIL that the guy who created Courage the Cowardly Dog also made a cartoon about a guy who falls in love (and, it's implied, has sex) with a fish", 'TIL Mark Twain never said "A lie can travel halfway round the world while the truth is putting on its shoes."', 'TIL A five year old boy passed a Microsoft exam to become the youngest person to become a Microsoft Certified Professional', "TIL that a Korean TV show is about a 400 year-old Harvard-educated alien who falls in love with a human woman. 'My Love From Another Star' is a huge hit in Korea and elsewhere; Chinese fans were hospitalized for binging on too much fried chicken and beer (the woman character's favorite food).", "TIL that for the first 22 years of its history Georgia banned all lawyers from the colony. Founder James Oglethorpe denounced them as a 'pest and scourge of mankind.'", 'TIL 28 countries boycotted the 1976 Olympic Games because New Zealand was allowed to compete', 'TIL that no U.S Navy submarine is ever considered "lost" if it does not return, it is considered to be "still on patrol"', 'TIL the writer behind the Iron Giant, Ted Hughes, had written the book for his two children--to help explain to them the 1963 suicide death of their mother', "TIL a law was implemented in 1950's Greece whereby head shaving with manual clippers was used as punishment for young people caught by police, such as teddyboys and prostitutes. Obligatory hair clipping was finally abolished in Greece in 1982.", 'TIL that in order for stores in China to stock/sell tampons they have to import them, as Chinese companies made 85 billion sanitary pads last year, but not one tampon.', 'TIL Despite widespread media reporting and TIL posts, the most recent scientific evidence suggests Komodo Dragons DO NOT in fact possess or use venom, nor bacterial infection, to overcome and bring down prey. They kill through ambush attacks and laceration, resulting in trauma and heavy blood loss.', "TIL that Saddam Hussein's love of a grilled fish dish called masgouf caused the U.S. to discover Saddam Hussein's hiding place in 2003.", "TIL that at the Battle of Verdun a group of French soldiers, boxed in by German forces and without communications, was saved by a messenger dog. The dog, named Satan, managed to bring the soldiers two carrier pigeons, allowing them to send the Germans' position to French artillery.", 'TIL during WWII, Dutch railroad workers went on strike to undermine the German war effort. In response the Germans blocked food supplies to the country, resulting in a famine that killed over 20,000', 'TIL John F. Kennedy requested his head of press, Pierre Salinger, to get him 1,000 Cuban cigars. Seconds after bringing the president 1,200 cigars, Kennedy signed the Cuban trade embargo.', 'TIL From 1934-1942 Franklin D. Roosevelt had the government finance the planting of 220 million trees to combat the dust bowl.', "TIL that William Henry Jackson's photos played an important role in convincing Congress in 1872 to establish Yellowstone National Park, the first national park of the U.S. He was in a position to capture the first photographs of legendary landmarks of the West.", 'TIL that they used rescue dog as ball catchers in the 2016 Brazil Open', 'TIL: The computer that calculated flight trajectories for first American in space (and many others) was actually a black woman at NASA (at a time of intense racial/gender bias).', 'TIL that when Australia celebrated the 150th anniversary of the first European settlement in 1938, officials tried to hide the fact that it was a prison colony by using the terms "transportees" or "deportees" instead of "convicts"', 'TIL of "rural purge", a mass cancellation of rural tv shows in the 70s to please the growing urban and suburban market', 'TIL Purple is not considered a color in the visible spectrum, due to it not being a single wavelength color, much like white', 'TIL of The Great Migration, or the relocation of more than 6 million African Americans from the rural South to the cities of the North, Midwest and West from 1916 to 1970.', 'TIL it is perfectly acceptable to start a senstence with a conjunction (and, but, for, nor, or, so, yet)', "TIL Scatman John's 1994 hit came after a long jazz piano career, non-vocal due to a debilitating stutter. He later saw scatting as purposeful stuttering to be used w/ his lyrics to remove shame. He went on to hit #1 in 14 countries, 32 Platinum &amp; Golds, &amp; break world records for music sales @53 y.o.", "TIL Liam Neeson's character in A Million Ways to Die In the West has an Irish accent because Liam Neeson refused to take the role otherwise due to a Family Guy joke making fun of him as a cowboy with an Irish accent", 'TIL: Out of the top 100 biggest box office bombs, 72 are made after 2000.', 'TIL that the grippy texture on metal tools is called Knurling', 'TIL a man got a parade and a new car from Honda for reaching 1 million miles on his Accord.', 'TIL that one inch of rain falling over one square mile is equal to about 17.4 million gallons of water which would weigh 143 million pounds', 'TIL that Mexican Coke is actually brewed, with cane sugar, in mexico with the intention to be exported. However, Mexicans still consume corn syrup flavored coke, also brewed in Mexico.', "TIL that Walter Breuning survived colon cancer at age 64 and a broken hip at age 108 to live to age 114 and to become the World's Oldest Living Man.", 'TIL: In Bangladesh children aged 15 or above can be jailed for cheating in their final examinations.', 'TIL that the film Willy Wonka and the Chocolate Factory was financed by the Quaker Oats company because they wanted to launch a Wonka candy line.', "TIL that footballer Jermaine Pennant once left his Porsche at a train station in Spain after moving. When his former club contacted him about the car, he didn't even remember owning a Porsche.", 'TIL that Apple used to add the letter "x" to the names of their computers which got a processor upgrade. The convention was broken with Macintosh SE/30, which, if the rule was effective, would be called "Macintosh SEx."', 'TIL pigs can ejaculate continuously for upwards of 31 minutes', 'TIL Ostriches are the only living birds that pee and poo separately.', 'TIL Albania had a civil war in 1997 that toppled the government. The cause? Pyramid schemes', 'TIL Adderall is banned in eSports.', 'TIL that since 2003 AT&amp;T has operated a telecommunication interception facility, known as Room 641A, for the National Security Agency.', 'TIL of the Great Vowel Shift where a bunch of words in English changed pronunciation. "Bite" would have been pronounced like \'beet\' and "Meet" would have been pronounced like \'mehht\'.', 'TIL of Allston Christmas - the day thousands of Boston students move in and out of their apartments, leaving extra furniture on sidewalks for all takers.', 'TIL the longest living koi fish ever, Hanako, was 226 years old when she died.', 'TIL viruses are 10 times more successful if the infection starts in the morning', 'TIL of Chinese "Ghost Cities." Cities that are built to hold millions of people that are left practically empty.', 'TIL that Congressman Andrew Jackson May revealed highly confidential military information at a July 1943 press conference that American submarines and crew had a high survival rate because Japanese depth charges were typically fuzed to explode at too shallow a depth.', 'TIL Buildings in Japan are not numbered sequentially; instead addresses are numbered by the order in which buildings were built.', 'TIL Sperm Whales battle Giant Squid at least 4.15 times per second, with the entire global whale population devouring 131 million squid per year.', "TIL rapper Nelly missed out on a potential bone marrow donor for his dying sister who had leukemia because people protested his fundraiser due to his music video 'Tip Drill'", 'TIL that actor Jimmy Stewart was also a poet. During an appearance on The Tonight Show, he read his poem "Beau", which he wrote about his dog. By the end of the poem, Johnny Carson had started crying.', 'TIL the tallest known mountain in the solar system is on an asteroid.', 'TIL Russia used nuclear bombs for industrial, commercial, and infrastructure purposes from 1965 to 1988.', 'TIL we are paralyzed when we sleep, and that there is a dangerous condition called Rapid Eye Movement Sleep Behavior Disorder which disables that paralysis and can make you hit people or run out of windows (like Mike Birbiglia) while you are sleeping.', 'TIL the Sovereign Military Order of Malta, which holds no territory, yet issues its own passports, prints its own currency and has permanent observer status at the UN.', 'TIL patients can have their nerves "seen" by ultrasound.', 'TIL studies have shown that Stradivarius violins are no better than the best modern ones.', 'TIL that menthol cigarettes are so popular among black Americans that black groups opposed a proposed ban as a civil rights issue', 'TIL Starbucks has more money on cards then some banks have in deposits', "TIL Polygamist's Down's Syndrome is a disorder so named because of its prevalence in Fundamentalist Mormon communities", 'TIL the tongue map that shows parts of the tongue responsible for different aspects of taste is the result of a mistranslation from a German paper and is not true', 'TIL an ancient method of starting fire in SE Asia used a device called a fire piston that used rapidly compressed air to ignite a piece of tinder--the same principle used in diesel engines.', 'TIL Antibacterial soap is no better than regular soap at preventing sickness, and children who use it regularly are more likely to develop peanut allergies and hay fever.', 'TIL Daniel Day-Lewis, known for method acting, required crew members to spoon-feed him and move him around set when he played a character with cerebral palsy.', 'TIL the band "Joy Division" took their name from Nazi brothels staffed with sex slaves. The story The Doll House recounts the tale of these Nazi brothels.', 'TIL many "natural" supplements sold in the US contain unapproved and even illegal ingredients', 'TIL Lucille Ball was a Registered Communist', 'TIL the person who discovered the first dinosaur ate the mummified, hundred-year-old heart of Louis XIV', 'TIL that there exists a hybrid of a llama and a camel called a "cama". They were created to produce large amounts of wool; yet, also be strong and large. They can also survive for long periods of time on low amounts of water.', 'TIL the US Army designed a medal as a result of a typo. A radio operator thought that the word "CMA", the abbreviation for a comma, was to be a new award for Burmese guerillas who helped the Allies in WWII (which the government hastily minted to avoid embarrassment).', 'TIL in 1987, the Soviets tried to launch a prototype orbital weapons platform into space armed with a laser to destroy US satellites.', 'TIL that if the Andromeda Galaxy were brighter it would appear six times larger than the Moon.', "TIL that Roald Dahl's quirky language (e.g. Gobblefunk) came from his wife. After suffering a stroke, she lost the ability to speak and read. During her rehabilitation, would get words wrong and in some cases just make words up, which served as a great inspiration for the BFG. (around 48 mins in)", 'TIL the city of Rochester, NY used to have a one-line subway system from 1927 to 1956', "TIL that the phrase 'plastic' surgery was actually coined 70 years before the petroleum-based material was invented/named the same.", 'TIL infants can suffer a potentially fatal metabolic disorder that makes their pee smell like maple syrup. It is called Maple Syrup Urine Disease (MSUD).', "TIL the world's most powerful water pump could fill the world's biggest supertanker with water in 2 hrs 19 mins, the world's most voluminous building in 2 days 13 hrs 32 mins and it would take it 12,464 years to empty the world's most voluminous lake.", 'TIL the longest retreat in US military history occurred in 1950 during the Korean War.', 'TIL Prior to chemical tests, tasting urine of the patient was part of the diagnostic process for Diabetes Mellitus.', 'TIL certain species of aquatic turtles can breathe through their butts', 'TIL Washington is the only legal cannabis state to not allow home grows', "TIL Furries routinely sexually harass Kellogg's Frosted Flakes mascot Tony the Tiger over Twitter", 'TIL that when John Denver was divorcing his first wife he became so enraged that after choking her he cut their bed in half with a chain saw.', "TIL If you cross a zebra and any other equine they're called a Zebroid: essentially, a zebra hybrid. This includes the Donkey - Zedonk.", "TIL there is a form of 'Wifi' being developed called 'LiFi', which can transmit internet via light bulbs at high speeds", 'TIL Belgian cyclist Kevin van Impe was taken for a routine drugs test just as he was at the crematorium filling in administrative formalities following the death of his baby son', 'TIL Boeing jet sensors produce 10 terabytes of information per engine every 30 minutes of flight. So, for a 6 hours flight, a two engines aircraft gathers a massive 240 terabytes of data. By comparison the whole Facebook grows by 500+ terabytes per day.', 'TIL that Kim Jong-il was such a big fan of Godzilla that he kidnapped a Korean filmmaker and his wife to create his own giant monster. Even stranger, some of the people worked on the Toho Godzilla movies were involved with the production.', 'TIL The population of China is equivalent to the population of North America, South America, Australia, New Zealand, and all of Western Europe -- combined.', "TIL all 80 of the Red Baron's victories can be traced to specific Allied aircraft and pilots; listed are 71 British airmen KIA and one American pilot KIA.", "TIL McDonald's created broccoli that tasted like bubblegum.", "TIL that the Slovene language grammatically distinguishes not just singular and plural but also dual (when there's two of something). This applies to verb conjugations, noun cases, and even pronouns (For example distinguishing we with 2 people vs. we with &gt;3).", 'TIL the word "Probably" is a trademark of Carlsberg', 'TIL that in 1996, Iraqi Olympic weightlifter Raed Ahmed used the Olympic games to defect from Iraq', 'TIL for the 2012 London olympics 150.000 condoms were provided to the Olympic Village.', 'TIL Ghostbusters (1984) was suppose to have only 3 main ghostbusters (Dan Aykroyd, Eddie Murphy and John Belushi)', 'TIL that all US embassies and consulates have special Washington DC addresses so mail can be sent to them without going through foreign postal systems. The embassy in India\'s address is on "New Delhi Place", UK\'s is on "London Place", the consulate in Sydney is on "Sydney Place", etc.', 'TIL "Mesmerize" comes from French mesm\xc3\xa9risme, named for Franz Anton Mesmer (1734-1815), an Austrian physician who developed a theory of animal magnetism and a mysterious body fluid which allows one person to hypnotize another', 'TIL that in 2018, the amount of time that has past since the outbreak of WWII will surpass the amount of time that past between the beginning of the American Civil War and the beginning of WWII', 'TIL that Adolf Hitler\'s personal train was named "Amerika", after Hitler\'s admiration of America for its automobile manufacturing.', "TIL that the guy who created Courage the Cowardly Dog also made a cartoon about a guy who falls in love (and, it's implied, has sex) with a fish", 'TIL Mark Twain never said "A lie can travel halfway round the world while the truth is putting on its shoes."', 'TIL A five year old boy passed a Microsoft exam to become the youngest person to become a Microsoft Certified Professional', "TIL that a Korean TV show is about a 400 year-old Harvard-educated alien who falls in love with a human woman. 'My Love From Another Star' is a huge hit in Korea and elsewhere; Chinese fans were hospitalized for binging on too much fried chicken and beer (the woman character's favorite food).", "TIL that for the first 22 years of its history Georgia banned all lawyers from the colony. Founder James Oglethorpe denounced them as a 'pest and scourge of mankind.'", 'TIL 28 countries boycotted the 1976 Olympic Games because New Zealand was allowed to compete', 'TIL that no U.S Navy submarine is ever considered "lost" if it does not return, it is considered to be "still on patrol"', 'TIL the writer behind the Iron Giant, Ted Hughes, had written the book for his two children--to help explain to them the 1963 suicide death of their mother', "TIL a law was implemented in 1950's Greece whereby head shaving with manual clippers was used as punishment for young people caught by police, such as teddyboys and prostitutes. Obligatory hair clipping was finally abolished in Greece in 1982.", 'TIL that in order for stores in China to stock/sell tampons they have to import them, as Chinese companies made 85 billion sanitary pads last year, but not one tampon.', 'TIL Despite widespread media reporting and TIL posts, the most recent scientific evidence suggests Komodo Dragons DO NOT in fact possess or use venom, nor bacterial infection, to overcome and bring down prey. They kill through ambush attacks and laceration, resulting in trauma and heavy blood loss.', "TIL that Saddam Hussein's love of a grilled fish dish called masgouf caused the U.S. to discover Saddam Hussein's hiding place in 2003.", "TIL that at the Battle of Verdun a group of French soldiers, boxed in by German forces and without communications, was saved by a messenger dog. The dog, named Satan, managed to bring the soldiers two carrier pigeons, allowing them to send the Germans' position to French artillery.", 'TIL during WWII, Dutch railroad workers went on strike to undermine the German war effort. In response the Germans blocked food supplies to the country, resulting in a famine that killed over 20,000', 'TIL John F. Kennedy requested his head of press, Pierre Salinger, to get him 1,000 Cuban cigars. Seconds after bringing the president 1,200 cigars, Kennedy signed the Cuban trade embargo.', 'TIL From 1934-1942 Franklin D. Roosevelt had the government finance the planting of 220 million trees to combat the dust bowl.', "TIL that William Henry Jackson's photos played an important role in convincing Congress in 1872 to establish Yellowstone National Park, the first national park of the U.S. He was in a position to capture the first photographs of legendary landmarks of the West.", 'TIL that they used rescue dog as ball catchers in the 2016 Brazil Open', 'TIL: The computer that calculated flight trajectories for first American in space (and many others) was actually a black woman at NASA (at a time of intense racial/gender bias).', 'TIL that when Australia celebrated the 150th anniversary of the first European settlement in 1938, officials tried to hide the fact that it was a prison colony by using the terms "transportees" or "deportees" instead of "convicts"', 'TIL of "rural purge", a mass cancellation of rural tv shows in the 70s to please the growing urban and suburban market', 'TIL Purple is not considered a color in the visible spectrum, due to it not being a single wavelength color, much like white', 'TIL of The Great Migration, or the relocation of more than 6 million African Americans from the rural South to the cities of the North, Midwest and West from 1916 to 1970.', 'TIL it is perfectly acceptable to start a senstence with a conjunction (and, but, for, nor, or, so, yet)', "TIL Scatman John's 1994 hit came after a long jazz piano career, non-vocal due to a debilitating stutter. He later saw scatting as purposeful stuttering to be used w/ his lyrics to remove shame. He went on to hit #1 in 14 countries, 32 Platinum &amp; Golds, &amp; break world records for music sales @53 y.o.", "TIL Liam Neeson's character in A Million Ways to Die In the West has an Irish accent because Liam Neeson refused to take the role otherwise due to a Family Guy joke making fun of him as a cowboy with an Irish accent", 'TIL: Out of the top 100 biggest box office bombs, 72 are made after 2000.', 'TIL that the grippy texture on metal tools is called Knurling', 'TIL a man got a parade and a new car from Honda for reaching 1 million miles on his Accord.', 'TIL that one inch of rain falling over one square mile is equal to about 17.4 million gallons of water which would weigh 143 million pounds', 'TIL that Mexican Coke is actually brewed, with cane sugar, in mexico with the intention to be exported. However, Mexicans still consume corn syrup flavored coke, also brewed in Mexico.', "TIL that Walter Breuning survived colon cancer at age 64 and a broken hip at age 108 to live to age 114 and to become the World's Oldest Living Man.", 'TIL: In Bangladesh children aged 15 or above can be jailed for cheating in their final examinations.', 'TIL that the film Willy Wonka and the Chocolate Factory was financed by the Quaker Oats company because they wanted to launch a Wonka candy line.', "TIL that footballer Jermaine Pennant once left his Porsche at a train station in Spain after moving. When his former club contacted him about the car, he didn't even remember owning a Porsche.", 'TIL that Apple used to add the letter "x" to the names of their computers which got a processor upgrade. The convention was broken with Macintosh SE/30, which, if the rule was effective, would be called "Macintosh SEx."', 'TIL pigs can ejaculate continuously for upwards of 31 minutes', 'TIL Ostriches are the only living birds that pee and poo separately.', 'TIL Albania had a civil war in 1997 that toppled the government. The cause? Pyramid schemes', 'TIL Adderall is banned in eSports.', 'TIL that since 2003 AT&amp;T has operated a telecommunication interception facility, known as Room 641A, for the National Security Agency.', 'TIL of the Great Vowel Shift where a bunch of words in English changed pronunciation. "Bite" would have been pronounced like \'beet\' and "Meet" would have been pronounced like \'mehht\'.', 'TIL of Allston Christmas - the day thousands of Boston students move in and out of their apartments, leaving extra furniture on sidewalks for all takers.', 'TIL the longest living koi fish ever, Hanako, was 226 years old when she died.', 'TIL viruses are 10 times more successful if the infection starts in the morning', 'TIL of Chinese "Ghost Cities." Cities that are built to hold millions of people that are left practically empty.', 'TIL that Congressman Andrew Jackson May revealed highly confidential military information at a July 1943 press conference that American submarines and crew had a high survival rate because Japanese depth charges were typically fuzed to explode at too shallow a depth.', 'TIL Buildings in Japan are not numbered sequentially; instead addresses are numbered by the order in which buildings were built.', 'TIL Sperm Whales battle Giant Squid at least 4.15 times per second, with the entire global whale population devouring 131 million squid per year.', "TIL rapper Nelly missed out on a potential bone marrow donor for his dying sister who had leukemia because people protested his fundraiser due to his music video 'Tip Drill'", 'TIL that actor Jimmy Stewart was also a poet. During an appearance on The Tonight Show, he read his poem "Beau", which he wrote about his dog. By the end of the poem, Johnny Carson had started crying.', 'TIL the tallest known mountain in the solar system is on an asteroid.', 'TIL Russia used nuclear bombs for industrial, commercial, and infrastructure purposes from 1965 to 1988.', 'TIL we are paralyzed when we sleep, and that there is a dangerous condition called Rapid Eye Movement Sleep Behavior Disorder which disables that paralysis and can make you hit people or run out of windows (like Mike Birbiglia) while you are sleeping.', 'TIL the Sovereign Military Order of Malta, which holds no territory, yet issues its own passports, prints its own currency and has permanent observer status at the UN.', 'TIL patients can have their nerves "seen" by ultrasound.', 'TIL studies have shown that Stradivarius violins are no better than the best modern ones.', 'TIL that menthol cigarettes are so popular among black Americans that black groups opposed a proposed ban as a civil rights issue', 'TIL Starbucks has more money on cards then some banks have in deposits', "TIL Polygamist's Down's Syndrome is a disorder so named because of its prevalence in Fundamentalist Mormon communities", 'TIL the tongue map that shows parts of the tongue responsible for different aspects of taste is the result of a mistranslation from a German paper and is not true', 'TIL an ancient method of starting fire in SE Asia used a device called a fire piston that used rapidly compressed air to ignite a piece of tinder--the same principle used in diesel engines.', 'TIL Antibacterial soap is no better than regular soap at preventing sickness, and children who use it regularly are more likely to develop peanut allergies and hay fever.', 'TIL Daniel Day-Lewis, known for method acting, required crew members to spoon-feed him and move him around set when he played a character with cerebral palsy.', 'TIL the band "Joy Division" took their name from Nazi brothels staffed with sex slaves. The story The Doll House recounts the tale of these Nazi brothels.', 'TIL many "natural" supplements sold in the US contain unapproved and even illegal ingredients', 'TIL Lucille Ball was a Registered Communist', 'TIL the person who discovered the first dinosaur ate the mummified, hundred-year-old heart of Louis XIV', 'TIL that there exists a hybrid of a llama and a camel called a "cama". They were created to produce large amounts of wool; yet, also be strong and large. They can also survive for long periods of time on low amounts of water.', 'TIL the US Army designed a medal as a result of a typo. A radio operator thought that the word "CMA", the abbreviation for a comma, was to be a new award for Burmese guerillas who helped the Allies in WWII (which the government hastily minted to avoid embarrassment).', 'TIL in 1987, the Soviets tried to launch a prototype orbital weapons platform into space armed with a laser to destroy US satellites.', 'TIL that if the Andromeda Galaxy were brighter it would appear six times larger than the Moon.', "TIL that Roald Dahl's quirky language (e.g. Gobblefunk) came from his wife. After suffering a stroke, she lost the ability to speak and read. During her rehabilitation, would get words wrong and in some cases just make words up, which served as a great inspiration for the BFG. (around 48 mins in)", 'TIL the city of Rochester, NY used to have a one-line subway system from 1927 to 1956', "TIL that the phrase 'plastic' surgery was actually coined 70 years before the petroleum-based material was invented/named the same.", 'TIL infants can suffer a potentially fatal metabolic disorder that makes their pee smell like maple syrup. It is called Maple Syrup Urine Disease (MSUD).', "TIL the world's most powerful water pump could fill the world's biggest supertanker with water in 2 hrs 19 mins, the world's most voluminous building in 2 days 13 hrs 32 mins and it would take it 12,464 years to empty the world's most voluminous lake.", 'TIL the longest retreat in US military history occurred in 1950 during the Korean War.', 'TIL Prior to chemical tests, tasting urine of the patient was part of the diagnostic process for Diabetes Mellitus.', 'TIL certain species of aquatic turtles can breathe through their butts', 'TIL Washington is the only legal cannabis state to not allow home grows', "TIL Furries routinely sexually harass Kellogg's Frosted Flakes mascot Tony the Tiger over Twitter", 'TIL that when John Denver was divorcing his first wife he became so enraged that after choking her he cut their bed in half with a chain saw.', "TIL If you cross a zebra and any other equine they're called a Zebroid: essentially, a zebra hybrid. This includes the Donkey - Zedonk.", "TIL there is a form of 'Wifi' being developed called 'LiFi', which can transmit internet via light bulbs at high speeds", 'TIL Belgian cyclist Kevin van Impe was taken for a routine drugs test just as he was at the crematorium filling in administrative formalities following the death of his baby son', 'TIL Boeing jet sensors produce 10 terabytes of information per engine every 30 minutes of flight. So, for a 6 hours flight, a two engines aircraft gathers a massive 240 terabytes of data. By comparison the whole Facebook grows by 500+ terabytes per day.', 'TIL that Kim Jong-il was such a big fan of Godzilla that he kidnapped a Korean filmmaker and his wife to create his own giant monster. Even stranger, some of the people worked on the Toho Godzilla movies were involved with the production.', 'TIL The population of China is equivalent to the population of North America, South America, Australia, New Zealand, and all of Western Europe -- combined.', "TIL all 80 of the Red Baron's victories can be traced to specific Allied aircraft and pilots; listed are 71 British airmen KIA and one American pilot KIA.", "TIL McDonald's created broccoli that tasted like bubblegum.", "TIL that the Slovene language grammatically distinguishes not just singular and plural but also dual (when there's two of something). This applies to verb conjugations, noun cases, and even pronouns (For example distinguishing we with 2 people vs. we with &gt;3).", 'TIL the word "Probably" is a trademark of Carlsberg', 'TIL that in 1996, Iraqi Olympic weightlifter Raed Ahmed used the Olympic games to defect from Iraq', 'TIL for the 2012 London olympics 150.000 condoms were provided to the Olympic Village.', 'TIL Ghostbusters (1984) was suppose to have only 3 main ghostbusters (Dan Aykroyd, Eddie Murphy and John Belushi)', 'TIL that all US embassies and consulates have special Washington DC addresses so mail can be sent to them without going through foreign postal systems. The embassy in India\'s address is on "New Delhi Place", UK\'s is on "London Place", the consulate in Sydney is on "Sydney Place", etc.', 'TIL "Mesmerize" comes from French mesm\xc3\xa9risme, named for Franz Anton Mesmer (1734-1815), an Austrian physician who developed a theory of animal magnetism and a mysterious body fluid which allows one person to hypnotize another', 'TIL that in 2018, the amount of time that has past since the outbreak of WWII will surpass the amount of time that past between the beginning of the American Civil War and the beginning of WWII', 'TIL that Adolf Hitler\'s personal train was named "Amerika", after Hitler\'s admiration of America for its automobile manufacturing.', "TIL that the guy who created Courage the Cowardly Dog also made a cartoon about a guy who falls in love (and, it's implied, has sex) with a fish", 'TIL Mark Twain never said "A lie can travel halfway round the world while the truth is putting on its shoes."', 'TIL A five year old boy passed a Microsoft exam to become the youngest person to become a Microsoft Certified Professional', "TIL that a Korean TV show is about a 400 year-old Harvard-educated alien who falls in love with a human woman. 'My Love From Another Star' is a huge hit in Korea and elsewhere; Chinese fans were hospitalized for binging on too much fried chicken and beer (the woman character's favorite food).", "TIL that for the first 22 years of its history Georgia banned all lawyers from the colony. Founder James Oglethorpe denounced them as a 'pest and scourge of mankind.'", 'TIL 28 countries boycotted the 1976 Olympic Games because New Zealand was allowed to compete', 'TIL that no U.S Navy submarine is ever considered "lost" if it does not return, it is considered to be "still on patrol"', 'TIL the writer behind the Iron Giant, Ted Hughes, had written the book for his two children--to help explain to them the 1963 suicide death of their mother', "TIL a law was implemented in 1950's Greece whereby head shaving with manual clippers was used as punishment for young people caught by police, such as teddyboys and prostitutes. Obligatory hair clipping was finally abolished in Greece in 1982.", 'TIL that in order for stores in China to stock/sell tampons they have to import them, as Chinese companies made 85 billion sanitary pads last year, but not one tampon.', 'TIL Despite widespread media reporting and TIL posts, the most recent scientific evidence suggests Komodo Dragons DO NOT in fact possess or use venom, nor bacterial infection, to overcome and bring down prey. They kill through ambush attacks and laceration, resulting in trauma and heavy blood loss.', "TIL that Saddam Hussein's love of a grilled fish dish called masgouf caused the U.S. to discover Saddam Hussein's hiding place in 2003.", "TIL that at the Battle of Verdun a group of French soldiers, boxed in by German forces and without communications, was saved by a messenger dog. The dog, named Satan, managed to bring the soldiers two carrier pigeons, allowing them to send the Germans' position to French artillery.", 'TIL during WWII, Dutch railroad workers went on strike to undermine the German war effort. In response the Germans blocked food supplies to the country, resulting in a famine that killed over 20,000', 'TIL John F. Kennedy requested his head of press, Pierre Salinger, to get him 1,000 Cuban cigars. Seconds after bringing the president 1,200 cigars, Kennedy signed the Cuban trade embargo.', 'TIL From 1934-1942 Franklin D. Roosevelt had the government finance the planting of 220 million trees to combat the dust bowl.', "TIL that William Henry Jackson's photos played an important role in convincing Congress in 1872 to establish Yellowstone National Park, the first national park of the U.S. He was in a position to capture the first photographs of legendary landmarks of the West.", 'TIL that they used rescue dog as ball catchers in the 2016 Brazil Open', 'TIL: The computer that calculated flight trajectories for first American in space (and many others) was actually a black woman at NASA (at a time of intense racial/gender bias).', 'TIL that when Australia celebrated the 150th anniversary of the first European settlement in 1938, officials tried to hide the fact that it was a prison colony by using the terms "transportees" or "deportees" instead of "convicts"', 'TIL of "rural purge", a mass cancellation of rural tv shows in the 70s to please the growing urban and suburban market', 'TIL Purple is not considered a color in the visible spectrum, due to it not being a single wavelength color, much like white', 'TIL of The Great Migration, or the relocation of more than 6 million African Americans from the rural South to the cities of the North, Midwest and West from 1916 to 1970.', 'TIL it is perfectly acceptable to start a senstence with a conjunction (and, but, for, nor, or, so, yet)', "TIL Scatman John's 1994 hit came after a long jazz piano career, non-vocal due to a debilitating stutter. He later saw scatting as purposeful stuttering to be used w/ his lyrics to remove shame. He went on to hit #1 in 14 countries, 32 Platinum &amp; Golds, &amp; break world records for music sales @53 y.o.", "TIL Liam Neeson's character in A Million Ways to Die In the West has an Irish accent because Liam Neeson refused to take the role otherwise due to a Family Guy joke making fun of him as a cowboy with an Irish accent", 'TIL: Out of the top 100 biggest box office bombs, 72 are made after 2000.', 'TIL that the grippy texture on metal tools is called Knurling', 'TIL a man got a parade and a new car from Honda for reaching 1 million miles on his Accord.', 'TIL that one inch of rain falling over one square mile is equal to about 17.4 million gallons of water which would weigh 143 million pounds', 'TIL that Mexican Coke is actually brewed, with cane sugar, in mexico with the intention to be exported. However, Mexicans still consume corn syrup flavored coke, also brewed in Mexico.', "TIL that Walter Breuning survived colon cancer at age 64 and a broken hip at age 108 to live to age 114 and to become the World's Oldest Living Man.", 'TIL: In Bangladesh children aged 15 or above can be jailed for cheating in their final examinations.', 'TIL that the film Willy Wonka and the Chocolate Factory was financed by the Quaker Oats company because they wanted to launch a Wonka candy line.', "TIL that footballer Jermaine Pennant once left his Porsche at a train station in Spain after moving. When his former club contacted him about the car, he didn't even remember owning a Porsche.", 'TIL that Apple used to add the letter "x" to the names of their computers which got a processor upgrade. The convention was broken with Macintosh SE/30, which, if the rule was effective, would be called "Macintosh SEx."', 'TIL pigs can ejaculate continuously for upwards of 31 minutes', 'TIL Ostriches are the only living birds that pee and poo separately.', 'TIL Albania had a civil war in 1997 that toppled the government. The cause? Pyramid schemes', 'TIL Adderall is banned in eSports.', 'TIL that since 2003 AT&amp;T has operated a telecommunication interception facility, known as Room 641A, for the National Security Agency.', 'TIL of the Great Vowel Shift where a bunch of words in English changed pronunciation. "Bite" would have been pronounced like \'beet\' and "Meet" would have been pronounced like \'mehht\'.', 'TIL of Allston Christmas - the day thousands of Boston students move in and out of their apartments, leaving extra furniture on sidewalks for all takers.', 'TIL the longest living koi fish ever, Hanako, was 226 years old when she died.', 'TIL viruses are 10 times more successful if the infection starts in the morning', 'TIL of Chinese "Ghost Cities." Cities that are built to hold millions of people that are left practically empty.', 'TIL that Congressman Andrew Jackson May revealed highly confidential military information at a July 1943 press conference that American submarines and crew had a high survival rate because Japanese depth charges were typically fuzed to explode at too shallow a depth.', 'TIL Buildings in Japan are not numbered sequentially; instead addresses are numbered by the order in which buildings were built.', 'TIL Sperm Whales battle Giant Squid at least 4.15 times per second, with the entire global whale population devouring 131 million squid per year.', "TIL rapper Nelly missed out on a potential bone marrow donor for his dying sister who had leukemia because people protested his fundraiser due to his music video 'Tip Drill'", 'TIL that actor Jimmy Stewart was also a poet. During an appearance on The Tonight Show, he read his poem "Beau", which he wrote about his dog. By the end of the poem, Johnny Carson had started crying.', 'TIL the tallest known mountain in the solar system is on an asteroid.', 'TIL Russia used nuclear bombs for industrial, commercial, and infrastructure purposes from 1965 to 1988.', 'TIL we are paralyzed when we sleep, and that there is a dangerous condition called Rapid Eye Movement Sleep Behavior Disorder which disables that paralysis and can make you hit people or run out of windows (like Mike Birbiglia) while you are sleeping.', 'TIL the Sovereign Military Order of Malta, which holds no territory, yet issues its own passports, prints its own currency and has permanent observer status at the UN.', 'TIL patients can have their nerves "seen" by ultrasound.', 'TIL studies have shown that Stradivarius violins are no better than the best modern ones.', 'TIL that menthol cigarettes are so popular among black Americans that black groups opposed a proposed ban as a civil rights issue', 'TIL Starbucks has more money on cards then some banks have in deposits', "TIL Polygamist's Down's Syndrome is a disorder so named because of its prevalence in Fundamentalist Mormon communities", 'TIL the tongue map that shows parts of the tongue responsible for different aspects of taste is the result of a mistranslation from a German paper and is not true', 'TIL an ancient method of starting fire in SE Asia used a device called a fire piston that used rapidly compressed air to ignite a piece of tinder--the same principle used in diesel engines.', 'TIL Antibacterial soap is no better than regular soap at preventing sickness, and children who use it regularly are more likely to develop peanut allergies and hay fever.', 'TIL Daniel Day-Lewis, known for method acting, required crew members to spoon-feed him and move him around set when he played a character with cerebral palsy.', 'TIL the band "Joy Division" took their name from Nazi brothels staffed with sex slaves. The story The Doll House recounts the tale of these Nazi brothels.', 'TIL many "natural" supplements sold in the US contain unapproved and even illegal ingredients', 'TIL Lucille Ball was a Registered Communist', 'TIL the person who discovered the first dinosaur ate the mummified, hundred-year-old heart of Louis XIV', 'TIL that there exists a hybrid of a llama and a camel called a "cama". They were created to produce large amounts of wool; yet, also be strong and large. They can also survive for long periods of time on low amounts of water.', 'TIL the US Army designed a medal as a result of a typo. A radio operator thought that the word "CMA", the abbreviation for a comma, was to be a new award for Burmese guerillas who helped the Allies in WWII (which the government hastily minted to avoid embarrassment).', 'TIL in 1987, the Soviets tried to launch a prototype orbital weapons platform into space armed with a laser to destroy US satellites.', 'TIL that if the Andromeda Galaxy were brighter it would appear six times larger than the Moon.', "TIL that Roald Dahl's quirky language (e.g. Gobblefunk) came from his wife. After suffering a stroke, she lost the ability to speak and read. During her rehabilitation, would get words wrong and in some cases just make words up, which served as a great inspiration for the BFG. (around 48 mins in)", 'TIL the city of Rochester, NY used to have a one-line subway system from 1927 to 1956', "TIL that the phrase 'plastic' surgery was actually coined 70 years before the petroleum-based material was invented/named the same.", 'TIL infants can suffer a potentially fatal metabolic disorder that makes their pee smell like maple syrup. It is called Maple Syrup Urine Disease (MSUD).', "TIL the world's most powerful water pump could fill the world's biggest supertanker with water in 2 hrs 19 mins, the world's most voluminous building in 2 days 13 hrs 32 mins and it would take it 12,464 years to empty the world's most voluminous lake.", 'TIL the longest retreat in US military history occurred in 1950 during the Korean War.', 'TIL Prior to chemical tests, tasting urine of the patient was part of the diagnostic process for Diabetes Mellitus.', 'TIL certain species of aquatic turtles can breathe through their butts', 'TIL Washington is the only legal cannabis state to not allow home grows', "TIL Furries routinely sexually harass Kellogg's Frosted Flakes mascot Tony the Tiger over Twitter", 'TIL that when John Denver was divorcing his first wife he became so enraged that after choking her he cut their bed in half with a chain saw.', "TIL If you cross a zebra and any other equine they're called a Zebroid: essentially, a zebra hybrid. This includes the Donkey - Zedonk.", "TIL there is a form of 'Wifi' being developed called 'LiFi', which can transmit internet via light bulbs at high speeds", 'TIL Belgian cyclist Kevin van Impe was taken for a routine drugs test just as he was at the crematorium filling in administrative formalities following the death of his baby son', 'TIL Boeing jet sensors produce 10 terabytes of information per engine every 30 minutes of flight. So, for a 6 hours flight, a two engines aircraft gathers a massive 240 terabytes of data. By comparison the whole Facebook grows by 500+ terabytes per day.', 'TIL that Kim Jong-il was such a big fan of Godzilla that he kidnapped a Korean filmmaker and his wife to create his own giant monster. Even stranger, some of the people worked on the Toho Godzilla movies were involved with the production.', 'TIL The population of China is equivalent to the population of North America, South America, Australia, New Zealand, and all of Western Europe -- combined.', "TIL all 80 of the Red Baron's victories can be traced to specific Allied aircraft and pilots; listed are 71 British airmen KIA and one American pilot KIA.", "TIL McDonald's created broccoli that tasted like bubblegum.", "TIL that the Slovene language grammatically distinguishes not just singular and plural but also dual (when there's two of something). This applies to verb conjugations, noun cases, and even pronouns (For example distinguishing we with 2 people vs. we with &gt;3).", 'TIL the word "Probably" is a trademark of Carlsberg', 'TIL that in 1996, Iraqi Olympic weightlifter Raed Ahmed used the Olympic games to defect from Iraq', 'TIL for the 2012 London olympics 150.000 condoms were provided to the Olympic Village.', 'TIL Ghostbusters (1984) was suppose to have only 3 main ghostbusters (Dan Aykroyd, Eddie Murphy and John Belushi)', 'TIL that all US embassies and consulates have special Washington DC addresses so mail can be sent to them without going through foreign postal systems. The embassy in India\'s address is on "New Delhi Place", UK\'s is on "London Place", the consulate in Sydney is on "Sydney Place", etc.', 'TIL "Mesmerize" comes from French mesm\xc3\xa9risme, named for Franz Anton Mesmer (1734-1815), an Austrian physician who developed a theory of animal magnetism and a mysterious body fluid which allows one person to hypnotize another', 'TIL that in 2018, the amount of time that has past since the outbreak of WWII will surpass the amount of time that past between the beginning of the American Civil War and the beginning of WWII', 'TIL that Adolf Hitler\'s personal train was named "Amerika", after Hitler\'s admiration of America for its automobile manufacturing.', "TIL that the guy who created Courage the Cowardly Dog also made a cartoon about a guy who falls in love (and, it's implied, has sex) with a fish", 'TIL Mark Twain never said "A lie can travel halfway round the world while the truth is putting on its shoes."']


def get_tidbit():
    return random.choice(static_TILs())


if __name__ == '__main__':
    print get_tidbit()


# import urllib2
# import json

# def __proces_posts(data):
#     result = []
#     for post in data['data']['children']:
#         result.append(post['data']['title'].encode('utf-8').strip())
#     return result

# def __loop_reddit():
#     after = None
#     before = None
#     limit = 100
#     count = 0
#     all_posts = []
#     for i in range(15):
#         url = "https://www.reddit.com/r/todayilearned/top/.json?limit=%s&after=%s&before=%s&count=%s" % (limit, after, before, count)
#         headers = { 'User-Agent' : 'Mozilla/5.0' }
#         req = urllib2.Request(url, None, headers)
#         page = urllib2.urlopen(req).read()
#         data = json.loads(page)
#         all_posts.extend(__proces_posts(data))
#         after = data['data']['after']
#         before = data['data']['before']
#         count = count + limit
#     print all_posts